(setf *all-problems* '(
    
(setf (current-problem)
 (create-problem (name strips-sat-x-1)
  (objects (objects-are satellite0 satellite)
   (objects-are instrument0 instrument) (objects-are instrument1 instrument)
   (objects-are instrument2 instrument) (objects-are satellite1 satellite)
   (objects-are instrument3 instrument) (objects-are instrument4 instrument)
   (objects-are instrument5 instrument) (objects-are satellite2 satellite)
   (objects-are instrument6 instrument) (objects-are instrument7 instrument)
   (objects-are satellite3 satellite) (objects-are instrument8 instrument)
   (objects-are instrument9 instrument) (objects-are thermograph2 mode)
   (objects-are image0 mode) (objects-are thermograph1 mode)
   (objects-are spectrograph3 mode) (objects-are star2 direction)
   (objects-are groundstation1 direction) (objects-are star0 direction)
   (objects-are star3 direction) (objects-are star4 direction)
   (objects-are phenomenon5 direction) (objects-are star6 direction)
   (objects-are star7 direction) (objects-are phenomenon8 direction)
   (objects-are phenomenon9 direction) (objects-are star10 direction)
   (objects-are planet11 direction) (objects-are phenomenon12 direction)
   (objects-are phenomenon13 direction) (objects-are phenomenon14 direction))
  (state
   (and (supports instrument0 thermograph1) (supports instrument0 image0)
    (calibration_target instrument0 star3) (supports instrument1 spectrograph3)
    (supports instrument1 thermograph2) (supports instrument1 thermograph1)
    (calibration_target instrument1 star2) (supports instrument2 spectrograph3)
    (calibration_target instrument2 star4) (on_board instrument0 satellite0)
    (on_board instrument1 satellite0) (on_board instrument2 satellite0)
    (power_avail satellite0) (pointing satellite0 phenomenon14)
    (supports instrument3 thermograph2) (supports instrument3 image0)
    (calibration_target instrument3 groundstation1)
    (supports instrument4 thermograph1) (calibration_target instrument4 star4)
    (supports instrument5 thermograph2) (supports instrument5 thermograph1)
    (supports instrument5 spectrograph3) (calibration_target instrument5 star0)
    (on_board instrument3 satellite1) (on_board instrument4 satellite1)
    (on_board instrument5 satellite1) (power_avail satellite1)
    (pointing satellite1 star4) (supports instrument6 thermograph1)
    (supports instrument6 thermograph2) (calibration_target instrument6 star3)
    (supports instrument7 thermograph2) (supports instrument7 thermograph1)
    (supports instrument7 image0) (calibration_target instrument7 star0)
    (on_board instrument6 satellite2) (on_board instrument7 satellite2)
    (power_avail satellite2) (pointing satellite2 star6)
    (supports instrument8 image0) (calibration_target instrument8 star3)
    (supports instrument9 spectrograph3) (supports instrument9 thermograph1)
    (supports instrument9 image0) (calibration_target instrument9 star4)
    (on_board instrument8 satellite3) (on_board instrument9 satellite3)
    (power_avail satellite3) (pointing satellite3 phenomenon5)))
  (goal
   (and (have_image phenomenon5 thermograph1) (have_image star6 thermograph1)
    (have_image star7 spectrograph3) (have_image phenomenon8 image0)
    (have_image phenomenon9 image0) (have_image star10 spectrograph3)
    (have_image planet11 thermograph2) (have_image phenomenon12 image0)
    (have_image phenomenon13 thermograph1)
    (have_image phenomenon14 thermograph2)))))))