#define YY_parse_h_included
/*#define YY_USE_CLASS 
*/
/*  A Bison++ parser, made from scan-ops_pddl.y  */

 /* with Bison++ version bison++ Version 1.21.9-1, adapted from GNU bison by coetmeur@icdc.fr
Maintained by Magnus Ekdahl <magnus@debian.org>
  */

#define yyparse ops_pddlparse
#define yylex ops_pddllex
#define yyerror ops_pddlerror
#define yylval ops_pddllval
#define yychar ops_pddlchar
#define yydebug ops_pddldebug

#line 1 "/usr/share/bison++/bison.cc"
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Bob Corbett and Richard Stallman

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 1, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  

   As a special exception, when this file is copied by Bison++ into a
   Bison++ output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison, and has been in Bison++ since 1.21.9.  

*/

/* HEADER SECTION */
#if defined( _MSDOS ) || defined(MSDOS) || defined(__MSDOS__) 
 #define __MSDOS_AND_ALIKE
#endif

#if defined(_WINDOWS) && defined(_MSC_VER)
 #define __HAVE_NO_ALLOCA
 #define __MSDOS_AND_ALIKE
#endif

#ifndef alloca
 #if defined( __GNUC__)
  #define alloca __builtin_alloca

 #elif (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc)  || defined (__sgi)
  #include <alloca.h>

 #elif defined (__MSDOS_AND_ALIKE)
  #include <malloc.h>
  #ifndef __TURBOC__
   /* MS C runtime lib */
   #define alloca _alloca
  #endif

 #elif defined(_AIX)
  /* pragma must be put before any C/C++ instruction !! */
  #pragma alloca
  #include <malloc.h>

 #elif defined(__hpux)
  #ifdef __cplusplus
   extern "C" {
     void *alloca (unsigned int);
   };
  #else /* not __cplusplus */
   void *alloca ();
  #endif /* not __cplusplus */

 #endif /* not _AIX  not MSDOS, or __TURBOC__ or _AIX, not sparc.  */
#endif /* alloca not defined.  */

#ifdef c_plusplus
 #ifndef __cplusplus
  #define __cplusplus
 #endif
#endif

#ifdef __cplusplus
 #ifndef YY_USE_CLASS
/*#warning "For C++ its recomended to use bison++, otherwise classes won't be generated"*/
 #endif
#else
 #ifndef __STDC__
  #define const
 #endif
 #ifdef YY_USE_CLASS
  #error "This is a C++ header generated by bison++, please use a C++ compiler!"
 #endif
#endif

#include <stdio.h>
#define YYBISON 1  

 #line 88 "/usr/share/bison++/bison.cc"
#line 1 "scan-ops_pddl.y"

#ifdef YYDEBUG
  extern int yydebug=1;
#endif


#include <stdio.h>
#include <string.h> 
#include "ff.h"
#include "memory.h"
#include "parse.h"


#ifndef SCAN_ERR
#define SCAN_ERR
#define DOMDEF_EXPECTED            0
#define DOMAIN_EXPECTED            1
#define DOMNAME_EXPECTED           2
#define LBRACKET_EXPECTED          3
#define RBRACKET_EXPECTED          4
#define DOMDEFS_EXPECTED           5
#define REQUIREM_EXPECTED          6
#define TYPEDLIST_EXPECTED         7
#define LITERAL_EXPECTED           8
#define PRECONDDEF_UNCORRECT       9
#define TYPEDEF_EXPECTED          10
#define CONSTLIST_EXPECTED        11
#define PREDDEF_EXPECTED          12 
#define NAME_EXPECTED             13
#define VARIABLE_EXPECTED         14
#define ACTIONFUNCTOR_EXPECTED    15
#define ATOM_FORMULA_EXPECTED     16
#define EFFECT_DEF_EXPECTED       17
#define NEG_FORMULA_EXPECTED      18
#define NOT_SUPPORTED             19
#define ACTION                    20
#endif


#define NAME_STR "name\0"
#define VARIABLE_STR "variable\0"
#define STANDARD_TYPE "OBJECT\0"
 

static char *serrmsg[] = {
  "domain definition expected",
  "'domain' expected",
  "domain name expected",
  "'(' expected",
  "')' expected",
  "additional domain definitions expected",
  "requirements (e.g. ':STRIPS') expected",
  "typed list of <%s> expected",
  "literal expected",
  "uncorrect precondition definition",
  "type definition expected",
  "list of constants expected",
  "predicate definition expected",
  "<name> expected",
  "<variable> expected",
  "action functor expected",
  "atomic formula expected",
  "effect definition expected",
  "negated atomic formula expected",
  "requirement %s not supported by this FF version",  
  "action definition is not correct",
  NULL
};


/* void opserr( int errno, char *par );*/


static int sact_err;
static char *sact_err_par = NULL;
static PlOperator *scur_op = NULL;
static Bool sis_negated = FALSE;


int supported( char *str )

{

  int i;
  char * sup[] = { ":STRIPS", ":NEGATION", ":EQUALITY",":TYPING", 
		   ":CONDITIONAL-EFFECTS", ":NEGATIVE-PRECONDITIONS", ":DISJUNCTIVE-PRECONDITIONS", 
		   ":EXISTENTIAL-PRECONDITIONS", ":UNIVERSAL-PRECONDITIONS", 
		   ":QUANTIFIED-PRECONDITIONS", ":ADL", ":FLUENTS",
		   NULL };     

  for (i=0; NULL != sup[i]; i++) {
    if ( SAME == strcmp(sup[i], str) ) {
      return TRUE;
    }
  }
  
  return FALSE;

}


#line 107 "scan-ops_pddl.y"
typedef union {

  char string[MAX_LENGTH];
  char *pstring;
  ParseExpNode *pParseExpNode;
  PlNode *pPlNode;
  FactList *pFactList;
  TokenList *pTokenList;
  TypedList *pTypedList;

} yy_parse_stype;
#define YY_parse_STYPE yy_parse_stype
#ifndef YY_USE_CLASS
#define YYSTYPE yy_parse_stype
#endif

#line 88 "/usr/share/bison++/bison.cc"
/* %{ and %header{ and %union, during decl */
#define YY_parse_BISON 1

#ifndef YY_parse_COMPATIBILITY
 #ifndef YY_USE_CLASS
  #define  YY_parse_COMPATIBILITY 1
 #else
  #define  YY_parse_COMPATIBILITY 0
 #endif
#endif

#if YY_parse_COMPATIBILITY != 0
 /* backward compatibility */
 #ifdef YYLTYPE
  #ifndef YY_parse_LTYPE
   #define YY_parse_LTYPE YYLTYPE
  #endif
 #endif
/* Testing alternative bison solution
   /#ifdef YYSTYPE*/
#ifndef YY_parse_STYPE 
   #define YY_parse_STYPE YYSTYPE
#endif
/*#endif*/
 #ifdef YYDEBUG
  #ifndef YY_parse_DEBUG
   #define  YY_parse_DEBUG YYDEBUG
  #endif
 #endif
 
 /* use goto to be compatible */
 #ifndef YY_parse_USE_GOTO
  #define YY_parse_USE_GOTO 1
 #endif
#endif

/* use no goto to be clean in C++ */
#ifndef YY_parse_USE_GOTO
 #define YY_parse_USE_GOTO 0
#endif

#ifndef YY_parse_PURE

 #line 130 "/usr/share/bison++/bison.cc"

#line 130 "/usr/share/bison++/bison.cc"
/*  YY_parse_PURE */
#endif

/* section apres lecture def, avant lecture grammaire S2 */

 #line 134 "/usr/share/bison++/bison.cc"
#define YY_parse_PARSE ops_pddlparse
#define YY_parse_LEX ops_pddllex
#define YY_parse_ERROR ops_pddlerror
#define YY_parse_LVAL ops_pddllval
#define YY_parse_CHAR ops_pddlchar
#define YY_parse_DEBUG ops_pddldebug

#line 134 "/usr/share/bison++/bison.cc"
/* prefix */
#ifndef YY_parse_DEBUG

 #line 136 "/usr/share/bison++/bison.cc"

#line 136 "/usr/share/bison++/bison.cc"
/* YY_parse_DEBUG */
#endif


#ifndef YY_parse_LSP_NEEDED

 #line 141 "/usr/share/bison++/bison.cc"

#line 141 "/usr/share/bison++/bison.cc"
 /* YY_parse_LSP_NEEDED*/
#endif



/* DEFAULT LTYPE*/
#ifdef YY_parse_LSP_NEEDED
#ifndef YY_parse_LTYPE
#ifndef BISON_YYLTYPE_ISDECLARED
#define BISON_YYLTYPE_ISDECLARED
typedef
  struct yyltype
    {
      int timestamp;
      int first_line;
      int first_column;
      int last_line;
      int last_column;
      char *text;
   }
  yyltype;

#endif
#define YY_parse_LTYPE yyltype
#endif
#endif
/* DEFAULT STYPE*/
      /* We used to use `unsigned long' as YY_parse_STYPE on MSDOS,
	 but it seems better to be consistent.
	 Most programs should declare their own type anyway.  */

#ifndef YY_parse_STYPE
#define YY_parse_STYPE int
#endif
/* DEFAULT MISCELANEOUS */
#ifndef YY_parse_PARSE
#define YY_parse_PARSE yyparse
#endif
#ifndef YY_parse_LEX
#define YY_parse_LEX yylex
#endif
#ifndef YY_parse_LVAL
#define YY_parse_LVAL yylval
#endif
#ifndef YY_parse_LLOC
#define YY_parse_LLOC yylloc
#endif
#ifndef YY_parse_CHAR
#define YY_parse_CHAR yychar
#endif
#ifndef YY_parse_NERRS
#define YY_parse_NERRS yynerrs
#endif
#ifndef YY_parse_DEBUG_FLAG
#define YY_parse_DEBUG_FLAG yydebug
#endif
#ifndef YY_parse_ERROR
#define YY_parse_ERROR yyerror
#endif

#ifndef YY_parse_PARSE_PARAM
 #ifndef YY_USE_CLASS
  #ifdef YYPARSE_PARAM
   #define YY_parse_PARSE_PARAM void* YYPARSE_PARAM 
  #else
   #ifndef __STDC__
    #ifndef __cplusplus
     #define YY_parse_PARSE_PARAM
    #endif
   #endif
  #endif
 #endif
 #ifndef YY_parse_PARSE_PARAM
  #define YY_parse_PARSE_PARAM void
 #endif
#endif

#if YY_parse_COMPATIBILITY != 0
/* backward compatibility */
#ifdef YY_parse_LTYPE
#ifndef YYLTYPE
#define YYLTYPE YY_parse_LTYPE
#else
/* WARNING obsolete !!! user defined YYLTYPE not reported into generated header */
#endif
#endif

/* Removed due to bison compabilityproblems
/#ifndef YYSTYPE
/#define YYSTYPE YY_parse_STYPE
/#else*/
/* WARNING obsolete !!! user defined YYSTYPE not reported into generated header */
/*#endif*/

#ifdef YY_parse_PURE
#  ifndef YYPURE
#    define YYPURE YY_parse_PURE
#  endif
#endif

#ifdef YY_parse_DEBUG
#  ifndef YYDEBUG
#    define YYDEBUG YY_parse_DEBUG 
#  endif
#endif

#ifndef YY_parse_ERROR_VERBOSE
 #ifdef YYERROR_VERBOSE
  #define YY_parse_ERROR_VERBOSE YYERROR_VERBOSE
 #endif
#endif

#ifndef YY_parse_LSP_NEEDED
#  ifdef YYLSP_NEEDED
#    define YY_parse_LSP_NEEDED YYLSP_NEEDED
#  endif
#endif

#endif

#ifndef YY_USE_CLASS
/* TOKEN C */

 #line 263 "/usr/share/bison++/bison.cc"
#define	DEFINE_TOK	258
#define	DOMAIN_TOK	259
#define	REQUIREMENTS_TOK	260
#define	TYPES_TOK	261
#define	EITHER_TOK	262
#define	CONSTANTS_TOK	263
#define	PREDICATES_TOK	264
#define	FUNCTIONS_TOK	265
#define	ACTION_TOK	266
#define	VARS_TOK	267
#define	IMPLIES_TOK	268
#define	PRECONDITION_TOK	269
#define	PARAMETERS_TOK	270
#define	EFFECT_TOK	271
#define	AND_TOK	272
#define	NOT_TOK	273
#define	WHEN_TOK	274
#define	FORALL_TOK	275
#define	IMPLY_TOK	276
#define	OR_TOK	277
#define	EXISTS_TOK	278
#define	LE_TOK	279
#define	LEQ_TOK	280
#define	EQ_TOK	281
#define	GEQ_TOK	282
#define	GE_TOK	283
#define	MINUS_TOK	284
#define	AD_TOK	285
#define	MU_TOK	286
#define	DI_TOK	287
#define	ASSIGN_TOK	288
#define	SCALE_UP_TOK	289
#define	SCALE_DOWN_TOK	290
#define	INCREASE_TOK	291
#define	DECREASE_TOK	292
#define	NAME	293
#define	VARIABLE	294
#define	NUM	295
#define	OPEN_PAREN	296
#define	CLOSE_PAREN	297


#line 263 "/usr/share/bison++/bison.cc"
 /* #defines tokens */
#else
/* CLASS */
#ifndef YY_parse_CLASS
#define YY_parse_CLASS parse
#endif
#ifndef YY_parse_INHERIT
#define YY_parse_INHERIT
#endif
#ifndef YY_parse_MEMBERS
#define YY_parse_MEMBERS 
#endif
#ifndef YY_parse_LEX_BODY
#define YY_parse_LEX_BODY  
#endif
#ifndef YY_parse_ERROR_BODY
#define YY_parse_ERROR_BODY  
#endif
#ifndef YY_parse_CONSTRUCTOR_PARAM
#define YY_parse_CONSTRUCTOR_PARAM
#endif
#ifndef YY_parse_CONSTRUCTOR_CODE
#define YY_parse_CONSTRUCTOR_CODE
#endif
#ifndef YY_parse_CONSTRUCTOR_INIT
#define YY_parse_CONSTRUCTOR_INIT
#endif
/* choose between enum and const */
#ifndef YY_parse_USE_CONST_TOKEN
#define YY_parse_USE_CONST_TOKEN 0
/* yes enum is more compatible with flex,  */
/* so by default we use it */ 
#endif
#if YY_parse_USE_CONST_TOKEN != 0
#ifndef YY_parse_ENUM_TOKEN
#define YY_parse_ENUM_TOKEN yy_parse_enum_token
#endif
#endif

class YY_parse_CLASS YY_parse_INHERIT
{
public: 
#if YY_parse_USE_CONST_TOKEN != 0
/* static const int token ... */

 #line 307 "/usr/share/bison++/bison.cc"
static const int DEFINE_TOK;
static const int DOMAIN_TOK;
static const int REQUIREMENTS_TOK;
static const int TYPES_TOK;
static const int EITHER_TOK;
static const int CONSTANTS_TOK;
static const int PREDICATES_TOK;
static const int FUNCTIONS_TOK;
static const int ACTION_TOK;
static const int VARS_TOK;
static const int IMPLIES_TOK;
static const int PRECONDITION_TOK;
static const int PARAMETERS_TOK;
static const int EFFECT_TOK;
static const int AND_TOK;
static const int NOT_TOK;
static const int WHEN_TOK;
static const int FORALL_TOK;
static const int IMPLY_TOK;
static const int OR_TOK;
static const int EXISTS_TOK;
static const int LE_TOK;
static const int LEQ_TOK;
static const int EQ_TOK;
static const int GEQ_TOK;
static const int GE_TOK;
static const int MINUS_TOK;
static const int AD_TOK;
static const int MU_TOK;
static const int DI_TOK;
static const int ASSIGN_TOK;
static const int SCALE_UP_TOK;
static const int SCALE_DOWN_TOK;
static const int INCREASE_TOK;
static const int DECREASE_TOK;
static const int NAME;
static const int VARIABLE;
static const int NUM;
static const int OPEN_PAREN;
static const int CLOSE_PAREN;


#line 307 "/usr/share/bison++/bison.cc"
 /* decl const */
#else
enum YY_parse_ENUM_TOKEN { YY_parse_NULL_TOKEN=0

 #line 310 "/usr/share/bison++/bison.cc"
	,DEFINE_TOK=258
	,DOMAIN_TOK=259
	,REQUIREMENTS_TOK=260
	,TYPES_TOK=261
	,EITHER_TOK=262
	,CONSTANTS_TOK=263
	,PREDICATES_TOK=264
	,FUNCTIONS_TOK=265
	,ACTION_TOK=266
	,VARS_TOK=267
	,IMPLIES_TOK=268
	,PRECONDITION_TOK=269
	,PARAMETERS_TOK=270
	,EFFECT_TOK=271
	,AND_TOK=272
	,NOT_TOK=273
	,WHEN_TOK=274
	,FORALL_TOK=275
	,IMPLY_TOK=276
	,OR_TOK=277
	,EXISTS_TOK=278
	,LE_TOK=279
	,LEQ_TOK=280
	,EQ_TOK=281
	,GEQ_TOK=282
	,GE_TOK=283
	,MINUS_TOK=284
	,AD_TOK=285
	,MU_TOK=286
	,DI_TOK=287
	,ASSIGN_TOK=288
	,SCALE_UP_TOK=289
	,SCALE_DOWN_TOK=290
	,INCREASE_TOK=291
	,DECREASE_TOK=292
	,NAME=293
	,VARIABLE=294
	,NUM=295
	,OPEN_PAREN=296
	,CLOSE_PAREN=297


#line 310 "/usr/share/bison++/bison.cc"
 /* enum token */
     }; /* end of enum declaration */
#endif
public:
 int YY_parse_PARSE (YY_parse_PARSE_PARAM);
 virtual void YY_parse_ERROR(char *msg) YY_parse_ERROR_BODY;
#ifdef YY_parse_PURE
#ifdef YY_parse_LSP_NEEDED
 virtual int  YY_parse_LEX (YY_parse_STYPE *YY_parse_LVAL,YY_parse_LTYPE *YY_parse_LLOC) YY_parse_LEX_BODY;
#else
 virtual int  YY_parse_LEX (YY_parse_STYPE *YY_parse_LVAL) YY_parse_LEX_BODY;
#endif
#else
 virtual int YY_parse_LEX() YY_parse_LEX_BODY;
 YY_parse_STYPE YY_parse_LVAL;
#ifdef YY_parse_LSP_NEEDED
 YY_parse_LTYPE YY_parse_LLOC;
#endif
 int   YY_parse_NERRS;
 int    YY_parse_CHAR;
#endif
#if YY_parse_DEBUG != 0
 int YY_parse_DEBUG_FLAG;   /*  nonzero means print parse trace     */
#endif
public:
 YY_parse_CLASS(YY_parse_CONSTRUCTOR_PARAM);
public:
 YY_parse_MEMBERS 
};
/* other declare folow */
#if YY_parse_USE_CONST_TOKEN != 0

 #line 341 "/usr/share/bison++/bison.cc"
const int YY_parse_CLASS::DEFINE_TOK=258;
const int YY_parse_CLASS::DOMAIN_TOK=259;
const int YY_parse_CLASS::REQUIREMENTS_TOK=260;
const int YY_parse_CLASS::TYPES_TOK=261;
const int YY_parse_CLASS::EITHER_TOK=262;
const int YY_parse_CLASS::CONSTANTS_TOK=263;
const int YY_parse_CLASS::PREDICATES_TOK=264;
const int YY_parse_CLASS::FUNCTIONS_TOK=265;
const int YY_parse_CLASS::ACTION_TOK=266;
const int YY_parse_CLASS::VARS_TOK=267;
const int YY_parse_CLASS::IMPLIES_TOK=268;
const int YY_parse_CLASS::PRECONDITION_TOK=269;
const int YY_parse_CLASS::PARAMETERS_TOK=270;
const int YY_parse_CLASS::EFFECT_TOK=271;
const int YY_parse_CLASS::AND_TOK=272;
const int YY_parse_CLASS::NOT_TOK=273;
const int YY_parse_CLASS::WHEN_TOK=274;
const int YY_parse_CLASS::FORALL_TOK=275;
const int YY_parse_CLASS::IMPLY_TOK=276;
const int YY_parse_CLASS::OR_TOK=277;
const int YY_parse_CLASS::EXISTS_TOK=278;
const int YY_parse_CLASS::LE_TOK=279;
const int YY_parse_CLASS::LEQ_TOK=280;
const int YY_parse_CLASS::EQ_TOK=281;
const int YY_parse_CLASS::GEQ_TOK=282;
const int YY_parse_CLASS::GE_TOK=283;
const int YY_parse_CLASS::MINUS_TOK=284;
const int YY_parse_CLASS::AD_TOK=285;
const int YY_parse_CLASS::MU_TOK=286;
const int YY_parse_CLASS::DI_TOK=287;
const int YY_parse_CLASS::ASSIGN_TOK=288;
const int YY_parse_CLASS::SCALE_UP_TOK=289;
const int YY_parse_CLASS::SCALE_DOWN_TOK=290;
const int YY_parse_CLASS::INCREASE_TOK=291;
const int YY_parse_CLASS::DECREASE_TOK=292;
const int YY_parse_CLASS::NAME=293;
const int YY_parse_CLASS::VARIABLE=294;
const int YY_parse_CLASS::NUM=295;
const int YY_parse_CLASS::OPEN_PAREN=296;
const int YY_parse_CLASS::CLOSE_PAREN=297;


#line 341 "/usr/share/bison++/bison.cc"
 /* const YY_parse_CLASS::token */
#endif
/*apres const  */
YY_parse_CLASS::YY_parse_CLASS(YY_parse_CONSTRUCTOR_PARAM) YY_parse_CONSTRUCTOR_INIT
{
#if YY_parse_DEBUG != 0
YY_parse_DEBUG_FLAG=0;
#endif
YY_parse_CONSTRUCTOR_CODE;
};
#endif

 #line 352 "/usr/share/bison++/bison.cc"


#define	YYFINAL		236
#define	YYFLAG		-32768
#define	YYNTBASE	43

#define YYTRANSLATE(x) ((unsigned)(x) <= 297 ? yytranslate[x] : 87)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     2,     3,     4,     5,
     6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
    16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
    26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
    36,    37,    38,    39,    40,    41,    42
};

#if YY_parse_DEBUG != 0
static const short yyprhs[] = {     0,
     0,     1,     4,     5,    11,    16,    18,    21,    24,    27,
    30,    33,    36,    37,    43,    44,    45,    52,    53,    59,
    60,    61,    68,    69,    70,    78,    79,    80,    84,    85,
    91,    92,    98,    99,   100,   109,   110,   115,   116,   122,
   123,   128,   129,   134,   140,   146,   152,   158,   164,   166,
   171,   176,   181,   187,   195,   203,   204,   207,   213,   219,
   225,   231,   237,   239,   244,   252,   258,   259,   262,   267,
   269,   271,   276,   282,   288,   294,   300,   305,   307,   312,
   317,   318,   321,   323,   325,   327,   330,   332,   333,   339,
   344,   347,   348,   354,   359
};

static const short yyrhs[] = {    -1,
    44,    45,     0,     0,    41,     3,    47,    46,    48,     0,
    41,     4,    38,    42,     0,    42,     0,    57,    48,     0,
    64,    48,     0,    62,    48,     0,    49,    48,     0,    53,
    48,     0,    66,    48,     0,     0,    41,     9,    51,    50,
    42,     0,     0,     0,    41,    38,    86,    42,    52,    51,
     0,     0,    41,    10,    55,    54,    42,     0,     0,     0,
    41,    38,    86,    42,    56,    55,     0,     0,     0,    41,
     5,    58,    38,    59,    60,    42,     0,     0,     0,    38,
    61,    60,     0,     0,    41,     6,    63,    85,    42,     0,
     0,    41,     8,    65,    85,    42,     0,     0,     0,    41,
    11,    67,    38,    68,    69,    70,    42,     0,     0,    15,
    41,    86,    42,     0,     0,    12,    41,    86,    42,    70,
     0,     0,    14,    73,    71,    70,     0,     0,    16,    75,
    72,    70,     0,    41,    24,    78,    78,    42,     0,    41,
    25,    78,    78,    42,     0,    41,    26,    78,    78,    42,
     0,    41,    27,    78,    78,    42,     0,    41,    28,    78,
    78,    42,     0,    79,     0,    41,    17,    74,    42,     0,
    41,    22,    74,    42,     0,    41,    18,    73,    42,     0,
    41,    21,    73,    73,    42,     0,    41,    23,    41,    86,
    42,    73,    42,     0,    41,    20,    41,    86,    42,    73,
    42,     0,     0,    73,    74,     0,    41,    33,    77,    78,
    42,     0,    41,    34,    77,    78,    42,     0,    41,    35,
    77,    78,    42,     0,    41,    36,    77,    78,    42,     0,
    41,    37,    77,    78,    42,     0,    79,     0,    41,    17,
    76,    42,     0,    41,    20,    41,    86,    42,    75,    42,
     0,    41,    19,    73,    75,    42,     0,     0,    75,    76,
     0,    41,    38,    81,    42,     0,    40,     0,    77,     0,
    41,    29,    78,    42,     0,    41,    30,    78,    78,    42,
     0,    41,    29,    78,    78,    42,     0,    41,    31,    78,
    78,    42,     0,    41,    32,    78,    78,    42,     0,    41,
    18,    80,    42,     0,    80,     0,    41,    84,    81,    42,
     0,    41,    26,    81,    42,     0,     0,    82,    81,     0,
    38,     0,    39,     0,    38,     0,    38,    83,     0,    38,
     0,     0,    38,     7,    83,    42,    85,     0,    38,    29,
    38,    85,     0,    38,    85,     0,     0,    39,     7,    83,
    42,    86,     0,    39,    29,    38,    86,     0,    39,    86,
     0
};

#endif

#if (YY_parse_DEBUG != 0) || defined(YY_parse_ERROR_VERBOSE) 
static const short yyrline[] = { 0,
   179,   184,   189,   194,   203,   213,   215,   217,   219,   221,
   223,   225,   231,   236,   240,   243,   268,   272,   277,   281,
   284,   309,   313,   319,   325,   330,   332,   341,   345,   350,
   358,   363,   373,   379,   382,   391,   396,   410,   412,   430,
   436,   436,   442,   451,   459,   467,   475,   483,   491,   504,
   510,   516,   522,   532,   547,   566,   571,   583,   591,   599,
   607,   615,   623,   636,   642,   657,   676,   680,   692,   705,
   713,   718,   724,   731,   738,   745,   756,   762,   771,   778,
   790,   793,   804,   810,   820,   827,   838,   848,   851,   861,
   872,   891,   894,   903,   914
};

static const char * const yytname[] = {   "$","error","$illegal.","DEFINE_TOK",
"DOMAIN_TOK","REQUIREMENTS_TOK","TYPES_TOK","EITHER_TOK","CONSTANTS_TOK","PREDICATES_TOK",
"FUNCTIONS_TOK","ACTION_TOK","VARS_TOK","IMPLIES_TOK","PRECONDITION_TOK","PARAMETERS_TOK",
"EFFECT_TOK","AND_TOK","NOT_TOK","WHEN_TOK","FORALL_TOK","IMPLY_TOK","OR_TOK",
"EXISTS_TOK","LE_TOK","LEQ_TOK","EQ_TOK","GEQ_TOK","GE_TOK","MINUS_TOK","AD_TOK",
"MU_TOK","DI_TOK","ASSIGN_TOK","SCALE_UP_TOK","SCALE_DOWN_TOK","INCREASE_TOK",
"DECREASE_TOK","NAME","VARIABLE","NUM","OPEN_PAREN","CLOSE_PAREN","file","@1",
"domain_definition","@2","domain_name","optional_domain_defs","predicates_def",
"@3","predicates_list","@4","functions_def","@5","functions_list","@6","require_def",
"@7","@8","require_key_star","@9","types_def","@10","constants_def","@11","action_def",
"@12","@13","param_def","action_def_body","@14","@15","adl_goal_description",
"adl_goal_description_star","adl_effect","adl_effect_star","f_head","f_exp",
"literal_term","atomic_formula_term","term_star","term","name_plus","predicate",
"typed_list_name","typed_list_variable",""
};
#endif

static const short yyr1[] = {     0,
    44,    43,    46,    45,    47,    48,    48,    48,    48,    48,
    48,    48,    50,    49,    51,    52,    51,    54,    53,    55,
    56,    55,    58,    59,    57,    60,    61,    60,    63,    62,
    65,    64,    67,    68,    66,    69,    69,    70,    70,    71,
    70,    72,    70,    73,    73,    73,    73,    73,    73,    73,
    73,    73,    73,    73,    73,    74,    74,    75,    75,    75,
    75,    75,    75,    75,    75,    75,    76,    76,    77,    78,
    78,    78,    78,    78,    78,    78,    79,    79,    80,    80,
    81,    81,    82,    82,    83,    83,    84,    85,    85,    85,
    85,    86,    86,    86,    86
};

static const short yyr2[] = {     0,
     0,     2,     0,     5,     4,     1,     2,     2,     2,     2,
     2,     2,     0,     5,     0,     0,     6,     0,     5,     0,
     0,     6,     0,     0,     7,     0,     0,     3,     0,     5,
     0,     5,     0,     0,     8,     0,     4,     0,     5,     0,
     4,     0,     4,     5,     5,     5,     5,     5,     1,     4,
     4,     4,     5,     7,     7,     0,     2,     5,     5,     5,
     5,     5,     1,     4,     7,     5,     0,     2,     4,     1,
     1,     4,     5,     5,     5,     5,     4,     1,     4,     4,
     0,     2,     1,     1,     1,     2,     1,     0,     5,     4,
     2,     0,     5,     4,     2
};

static const short yydefact[] = {     1,
     0,     0,     2,     0,     0,     3,     0,     0,     0,     0,
     6,     4,     0,     0,     0,     0,     0,     0,     5,    23,
    29,    31,    15,    20,    33,    10,    11,     7,     9,     8,
    12,     0,    88,    88,     0,    13,     0,    18,     0,    24,
    88,     0,     0,    92,     0,    92,     0,    34,    26,     0,
     0,    91,    30,    32,    92,     0,    14,     0,    19,    36,
    27,     0,    85,     0,    88,     0,     0,    95,    16,    21,
     0,    38,    26,    25,    86,    88,    90,     0,    92,    15,
    20,    92,     0,     0,     0,     0,    28,    89,    92,    94,
    17,    22,     0,    92,     0,    40,    49,    78,     0,    42,
    63,    35,    93,    37,     0,    56,     0,     0,     0,    56,
     0,     0,     0,    81,     0,     0,    87,    81,    38,    67,
     0,     0,     0,    81,     0,     0,     0,     0,     0,    38,
    38,    56,     0,     0,     0,    92,     0,     0,    92,    70,
     0,    71,     0,     0,    83,    84,     0,     0,    81,     0,
     0,     0,    41,    67,     0,     0,     0,     0,    92,     0,
     0,     0,     0,     0,     0,    43,    39,    57,    50,    52,
    77,     0,     0,    51,     0,     0,     0,     0,     0,    81,
     0,     0,     0,    80,    82,     0,     0,    79,    68,    64,
     0,     0,     0,     0,     0,     0,     0,     0,    53,     0,
     0,     0,     0,     0,     0,    44,    45,    46,    47,    48,
    66,     0,    58,    59,    60,    61,    62,     0,     0,    72,
     0,     0,     0,     0,    69,     0,    55,    54,    74,    73,
    75,    76,    65,     0,     0,     0
};

static const short yydefgoto[] = {   234,
     1,     3,     8,     6,    12,    13,    45,    36,    80,    14,
    47,    38,    81,    15,    32,    49,    62,    73,    16,    33,
    17,    34,    18,    39,    60,    72,    86,   119,   130,   132,
   133,   154,   155,   142,   143,    97,    98,   148,   149,    64,
   118,    42,    56
};

static const short yypact[] = {-32768,
   -31,    17,-32768,   -17,    24,-32768,    -8,    30,    -5,     8,
-32768,-32768,    30,    30,    30,    30,    30,    30,-32768,-32768,
-32768,-32768,     7,    10,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,    18,    54,    54,    55,-32768,    59,-32768,    60,-32768,
     0,    75,    82,    86,    84,    86,    89,-32768,   103,   104,
   105,-32768,-32768,-32768,     2,   102,-32768,   110,-32768,   139,
-32768,   113,   104,   114,    54,   104,   119,-32768,-32768,-32768,
   117,   137,   103,-32768,-32768,    54,-32768,   118,    86,     7,
    10,    86,   120,   121,   122,   123,-32768,-32768,    86,-32768,
-32768,-32768,   124,    86,   112,-32768,-32768,-32768,    44,-32768,
-32768,-32768,-32768,-32768,   125,   121,   121,   127,   121,   121,
   128,    35,    35,    45,    35,    35,-32768,    51,   137,   122,
   129,   121,   130,    51,   131,   131,   131,   131,   131,   137,
   137,   121,   132,   133,   134,    86,   121,   135,    86,-32768,
    14,-32768,    35,    35,-32768,-32768,    35,   136,    51,    35,
    35,   138,-32768,   122,   140,   -15,   134,   122,    86,   126,
    35,    35,    35,    35,    35,-32768,-32768,-32768,-32768,-32768,
-32768,   141,   142,-32768,   143,    35,    35,    35,    35,    51,
   144,   145,   146,-32768,-32768,   147,   148,-32768,-32768,-32768,
   149,   150,   151,   152,   153,   154,   155,   121,-32768,   121,
    26,    35,    35,    35,   156,-32768,-32768,-32768,-32768,-32768,
-32768,   122,-32768,-32768,-32768,-32768,-32768,   157,   158,-32768,
   159,   160,   161,   162,-32768,   163,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,   173,   179,-32768
};

static const short yypgoto[] = {-32768,
-32768,-32768,-32768,-32768,    97,-32768,-32768,    79,-32768,-32768,
-32768,   100,-32768,-32768,-32768,-32768,   164,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,   -98,-32768,-32768,   -82,
  -106,   -84,    52,   -25,   -56,   -85,   -99,  -115,-32768,   -13,
-32768,   -29,   -40
};


#define	YYLAST		237


static const short yytable[] = {   101,
   100,    96,   152,   138,    43,    58,    50,   135,    66,     2,
   124,    52,    20,    21,    68,    22,    23,    24,    25,     4,
   153,   157,   117,     5,   134,   168,   137,     7,    51,     9,
    67,   166,   167,   185,   101,    77,    19,    41,    90,   158,
    55,    93,   176,   177,   178,   179,    88,    35,   103,    75,
    37,   180,    78,   105,   173,    40,   144,   147,   150,   151,
   120,   121,   122,   123,   205,   140,   141,   220,   101,   124,
    10,    11,   101,   191,   140,   141,   125,   126,   127,   128,
   129,   117,   145,   146,   140,   141,   181,   182,   145,   146,
   183,    41,    44,   186,   187,   172,    46,    48,   175,   161,
   162,   163,   164,   165,   193,   194,   195,   196,   197,    26,
    27,    28,    29,    30,    31,   218,    53,   219,   192,   201,
   202,   203,   204,    54,    55,    57,   101,   226,   106,   107,
    59,   108,   109,   110,   111,   112,   113,   114,   115,   116,
    61,    63,    65,    69,   221,   222,   223,   224,    83,   117,
    84,    70,    85,    71,    74,    76,    79,    82,    91,    89,
    94,    95,    99,   180,   102,   104,   131,   136,   139,   156,
   159,   160,   235,   169,   170,   171,   174,   184,   236,   188,
    92,   190,   198,   199,   200,   206,   207,   208,   209,   210,
   211,   212,   213,   214,   215,   216,   217,   225,   227,   228,
   229,   230,   231,   232,   233,   189,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,    87
};

static const short yycheck[] = {    85,
    85,    84,   118,   110,    34,    46,     7,   107,     7,    41,
    26,    41,     5,     6,    55,     8,     9,    10,    11,     3,
   119,   121,    38,    41,   107,   132,   109,     4,    29,    38,
    29,   130,   131,   149,   120,    65,    42,    38,    79,   122,
    39,    82,    29,    30,    31,    32,    76,    41,    89,    63,
    41,    38,    66,    94,   137,    38,   113,   114,   115,   116,
    17,    18,    19,    20,   180,    40,    41,    42,   154,    26,
    41,    42,   158,   158,    40,    41,    33,    34,    35,    36,
    37,    38,    38,    39,    40,    41,   143,   144,    38,    39,
   147,    38,    38,   150,   151,   136,    38,    38,   139,   125,
   126,   127,   128,   129,   161,   162,   163,   164,   165,    13,
    14,    15,    16,    17,    18,   198,    42,   200,   159,   176,
   177,   178,   179,    42,    39,    42,   212,   212,    17,    18,
    42,    20,    21,    22,    23,    24,    25,    26,    27,    28,
    38,    38,    38,    42,   201,   202,   203,   204,    12,    38,
    14,    42,    16,    15,    42,    42,    38,    41,    80,    42,
    41,    41,    41,    38,    42,    42,    42,    41,    41,    41,
    41,    41,     0,    42,    42,    42,    42,    42,     0,    42,
    81,    42,    42,    42,    42,    42,    42,    42,    42,    42,
    42,    42,    42,    42,    42,    42,    42,    42,    42,    42,
    42,    42,    42,    42,    42,   154,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    73
};

#line 352 "/usr/share/bison++/bison.cc"
 /* fattrs + tables */

/* parser code folow  */


/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

/* Note: dollar marks section change
   the next  is replaced by the list of actions, each action
   as one case of the switch.  */ 

#if YY_parse_USE_GOTO != 0
/* 
 SUPRESSION OF GOTO : on some C++ compiler (sun c++)
  the goto is strictly forbidden if any constructor/destructor
  is used in the whole function (very stupid isn't it ?)
 so goto are to be replaced with a 'while/switch/case construct'
 here are the macro to keep some apparent compatibility
*/
#define YYGOTO(lb) {yy_gotostate=lb;continue;}
#define YYBEGINGOTO  enum yy_labels yy_gotostate=yygotostart; \
                     for(;;) switch(yy_gotostate) { case yygotostart: {
#define YYLABEL(lb) } case lb: {
#define YYENDGOTO } } 
#define YYBEGINDECLARELABEL enum yy_labels {yygotostart
#define YYDECLARELABEL(lb) ,lb
#define YYENDDECLARELABEL  };
#else
/* macro to keep goto */
#define YYGOTO(lb) goto lb
#define YYBEGINGOTO 
#define YYLABEL(lb) lb:
#define YYENDGOTO
#define YYBEGINDECLARELABEL 
#define YYDECLARELABEL(lb)
#define YYENDDECLARELABEL 
#endif
/* LABEL DECLARATION */
YYBEGINDECLARELABEL
  YYDECLARELABEL(yynewstate)
  YYDECLARELABEL(yybackup)
/* YYDECLARELABEL(yyresume) */
  YYDECLARELABEL(yydefault)
  YYDECLARELABEL(yyreduce)
  YYDECLARELABEL(yyerrlab)   /* here on detecting error */
  YYDECLARELABEL(yyerrlab1)   /* here on error raised explicitly by an action */
  YYDECLARELABEL(yyerrdefault)  /* current state does not do anything special for the error token. */
  YYDECLARELABEL(yyerrpop)   /* pop the current state because it cannot handle the error token */
  YYDECLARELABEL(yyerrhandle)  
YYENDDECLARELABEL
/* ALLOCA SIMULATION */
/* __HAVE_NO_ALLOCA */
#ifdef __HAVE_NO_ALLOCA
int __alloca_free_ptr(char *ptr,char *ref)
{if(ptr!=ref) free(ptr);
 return 0;}

#define __ALLOCA_alloca(size) malloc(size)
#define __ALLOCA_free(ptr,ref) __alloca_free_ptr((char *)ptr,(char *)ref)

#ifdef YY_parse_LSP_NEEDED
#define __ALLOCA_return(num) \
            do { return( __ALLOCA_free(yyss,yyssa)+\
		    __ALLOCA_free(yyvs,yyvsa)+\
		    __ALLOCA_free(yyls,yylsa)+\
		   (num)); } while(0)
#else
#define __ALLOCA_return(num) \
            do { return( __ALLOCA_free(yyss,yyssa)+\
		    __ALLOCA_free(yyvs,yyvsa)+\
		   (num)); } while(0)
#endif
#else
#define __ALLOCA_return(num) do { return(num); } while(0)
#define __ALLOCA_alloca(size) alloca(size)
#define __ALLOCA_free(ptr,ref) 
#endif

/* ENDALLOCA SIMULATION */

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (YY_parse_CHAR = YYEMPTY)
#define YYEMPTY         -2
#define YYEOF           0
#define YYACCEPT        __ALLOCA_return(0)
#define YYABORT         __ALLOCA_return(1)
#define YYERROR         YYGOTO(yyerrlab1)
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL          YYGOTO(yyerrlab)
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do                                                              \
  if (YY_parse_CHAR == YYEMPTY && yylen == 1)                               \
    { YY_parse_CHAR = (token), YY_parse_LVAL = (value);                 \
      yychar1 = YYTRANSLATE (YY_parse_CHAR);                                \
      YYPOPSTACK;                                               \
      YYGOTO(yybackup);                                            \
    }                                                           \
  else                                                          \
    { YY_parse_ERROR ("syntax error: cannot back up"); YYERROR; }   \
while (0)

#define YYTERROR        1
#define YYERRCODE       256

#ifndef YY_parse_PURE
/* UNPURE */
#define YYLEX           YY_parse_LEX()
#ifndef YY_USE_CLASS
/* If nonreentrant, and not class , generate the variables here */
int     YY_parse_CHAR;                      /*  the lookahead symbol        */
YY_parse_STYPE      YY_parse_LVAL;              /*  the semantic value of the */
				/*  lookahead symbol    */
int YY_parse_NERRS;                 /*  number of parse errors so far */
#ifdef YY_parse_LSP_NEEDED
YY_parse_LTYPE YY_parse_LLOC;   /*  location data for the lookahead     */
			/*  symbol                              */
#endif
#endif


#else
/* PURE */
#ifdef YY_parse_LSP_NEEDED
#define YYLEX           YY_parse_LEX(&YY_parse_LVAL, &YY_parse_LLOC)
#else
#define YYLEX           YY_parse_LEX(&YY_parse_LVAL)
#endif
#endif
#ifndef YY_USE_CLASS
#if YY_parse_DEBUG != 0
int YY_parse_DEBUG_FLAG;                    /*  nonzero means print parse trace     */
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif
#endif



/*  YYINITDEPTH indicates the initial size of the parser's stacks       */

#ifndef YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif


#if __GNUC__ > 1                /* GNU C and GNU C++ define this.  */
#define __yy_bcopy(FROM,TO,COUNT)       __builtin_memcpy(TO,FROM,COUNT)
#else                           /* not GNU C or C++ */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */

#ifdef __cplusplus
static void __yy_bcopy (char *from, char *to, int count)
#else
#ifdef __STDC__
static void __yy_bcopy (char *from, char *to, int count)
#else
static void __yy_bcopy (from, to, count)
     char *from;
     char *to;
     int count;
#endif
#endif
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}
#endif


int
#ifdef YY_USE_CLASS
 YY_parse_CLASS::
#endif
     YY_parse_PARSE(YY_parse_PARSE_PARAM)
#ifndef __STDC__
#ifndef __cplusplus
#ifndef YY_USE_CLASS
/* parameter definition without protypes */
YY_parse_PARSE_PARAM_DEF
#endif
#endif
#endif
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YY_parse_STYPE *yyvsp;
  int yyerrstatus;      /*  number of tokens to shift before error messages enabled */
  int yychar1=0;          /*  lookahead token as an internal (translated) token number */

  short yyssa[YYINITDEPTH];     /*  the state stack                     */
  YY_parse_STYPE yyvsa[YYINITDEPTH];        /*  the semantic value stack            */

  short *yyss = yyssa;          /*  refer to the stacks thru separate pointers */
  YY_parse_STYPE *yyvs = yyvsa;     /*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YY_parse_LSP_NEEDED
  YY_parse_LTYPE yylsa[YYINITDEPTH];        /*  the location stack                  */
  YY_parse_LTYPE *yyls = yylsa;
  YY_parse_LTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;

#ifdef YY_parse_PURE
  int YY_parse_CHAR;
  YY_parse_STYPE YY_parse_LVAL;
  int YY_parse_NERRS;
#ifdef YY_parse_LSP_NEEDED
  YY_parse_LTYPE YY_parse_LLOC;
#endif
#endif

  YY_parse_STYPE yyval;             /*  the variable used to return         */
				/*  semantic values from the action     */
				/*  routines                            */

  int yylen;
/* start loop, in which YYGOTO may be used. */
YYBEGINGOTO

#if YY_parse_DEBUG != 0
  if (YY_parse_DEBUG_FLAG)
    fprintf(stderr, "Starting parse\n");
#endif
  yystate = 0;
  yyerrstatus = 0;
  YY_parse_NERRS = 0;
  YY_parse_CHAR = YYEMPTY;          /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YY_parse_LSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
YYLABEL(yynewstate)

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YY_parse_STYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YY_parse_LSP_NEEDED
      YY_parse_LTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YY_parse_LSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YY_parse_LSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  YY_parse_ERROR("parser stack overflow");
	  __ALLOCA_return(2);
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
      yyss = (short *) __ALLOCA_alloca (yystacksize * sizeof (*yyssp));
      __yy_bcopy ((char *)yyss1, (char *)yyss, size * sizeof (*yyssp));
      __ALLOCA_free(yyss1,yyssa);
      yyvs = (YY_parse_STYPE *) __ALLOCA_alloca (yystacksize * sizeof (*yyvsp));
      __yy_bcopy ((char *)yyvs1, (char *)yyvs, size * sizeof (*yyvsp));
      __ALLOCA_free(yyvs1,yyvsa);
#ifdef YY_parse_LSP_NEEDED
      yyls = (YY_parse_LTYPE *) __ALLOCA_alloca (yystacksize * sizeof (*yylsp));
      __yy_bcopy ((char *)yyls1, (char *)yyls, size * sizeof (*yylsp));
      __ALLOCA_free(yyls1,yylsa);
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YY_parse_LSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YY_parse_DEBUG != 0
      if (YY_parse_DEBUG_FLAG)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YY_parse_DEBUG != 0
  if (YY_parse_DEBUG_FLAG)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  YYGOTO(yybackup);
YYLABEL(yybackup)

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* YYLABEL(yyresume) */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    YYGOTO(yydefault);

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (YY_parse_CHAR == YYEMPTY)
    {
#if YY_parse_DEBUG != 0
      if (YY_parse_DEBUG_FLAG)
	fprintf(stderr, "Reading a token: ");
#endif
      YY_parse_CHAR = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (YY_parse_CHAR <= 0)           /* This means end of input. */
    {
      yychar1 = 0;
      YY_parse_CHAR = YYEOF;                /* Don't call YYLEX any more */

#if YY_parse_DEBUG != 0
      if (YY_parse_DEBUG_FLAG)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(YY_parse_CHAR);

#if YY_parse_DEBUG != 0
      if (YY_parse_DEBUG_FLAG)
	{
	  fprintf (stderr, "Next token is %d (%s", YY_parse_CHAR, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, YY_parse_CHAR, YY_parse_LVAL);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    YYGOTO(yydefault);

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	YYGOTO(yyerrlab);
      yyn = -yyn;
      YYGOTO(yyreduce);
    }
  else if (yyn == 0)
    YYGOTO(yyerrlab);

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YY_parse_DEBUG != 0
  if (YY_parse_DEBUG_FLAG)
    fprintf(stderr, "Shifting token %d (%s), ", YY_parse_CHAR, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (YY_parse_CHAR != YYEOF)
    YY_parse_CHAR = YYEMPTY;

  *++yyvsp = YY_parse_LVAL;
#ifdef YY_parse_LSP_NEEDED
  *++yylsp = YY_parse_LLOC;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  YYGOTO(yynewstate);

/* Do the default action for the current state.  */
YYLABEL(yydefault)

  yyn = yydefact[yystate];
  if (yyn == 0)
    YYGOTO(yyerrlab);

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
YYLABEL(yyreduce)
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YY_parse_DEBUG != 0
  if (YY_parse_DEBUG_FLAG)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


 #line 839 "/usr/share/bison++/bison.cc"

  switch (yyn) {

case 1:
#line 180 "scan-ops_pddl.y"
{ 
  opserr( DOMDEF_EXPECTED, NULL ); 
;
    break;}
case 3:
#line 191 "scan-ops_pddl.y"
{ 
;
    break;}
case 4:
#line 194 "scan-ops_pddl.y"
{
  if ( gcmd_line.display_info >= 1 ) {
    printf("\ndomain '%s' defined\n", gdomain_name);
  }
;
    break;}
case 5:
#line 205 "scan-ops_pddl.y"
{ 
  gdomain_name = new_Token( strlen(yyvsp[-1].string)+1 );
  strcpy( gdomain_name, yyvsp[-1].string);
;
    break;}
case 13:
#line 233 "scan-ops_pddl.y"
{
;
    break;}
case 14:
#line 236 "scan-ops_pddl.y"
{ 
;
    break;}
case 15:
#line 242 "scan-ops_pddl.y"
{;
    break;}
case 16:
#line 245 "scan-ops_pddl.y"
{

  TypedListList *tll;

  if ( gparse_predicates ) {
    tll = gparse_predicates;
    while ( tll->next ) {
      tll = tll->next;
    }
    tll->next = new_TypedListList();
    tll = tll->next;
  } else {
    tll = new_TypedListList();
    gparse_predicates = tll;
  }

  tll->predicate = new_Token( strlen( yyvsp[-2].string ) + 1);
  strcpy( tll->predicate, yyvsp[-2].string );

  tll->args = yyvsp[-1].pTypedList;

;
    break;}
case 18:
#line 274 "scan-ops_pddl.y"
{
;
    break;}
case 19:
#line 277 "scan-ops_pddl.y"
{ 
;
    break;}
case 20:
#line 283 "scan-ops_pddl.y"
{;
    break;}
case 21:
#line 286 "scan-ops_pddl.y"
{

  TypedListList *tll;

  if ( gparse_functions ) {
    tll = gparse_functions;
    while ( tll->next ) {
      tll = tll->next;
    }
    tll->next = new_TypedListList();
    tll = tll->next;
  } else {
    tll = new_TypedListList();
    gparse_functions = tll;
  }

  tll->predicate = new_Token( strlen( yyvsp[-2].string ) + 1);
  strcpy( tll->predicate, yyvsp[-2].string );

  tll->args = yyvsp[-1].pTypedList;

;
    break;}
case 23:
#line 315 "scan-ops_pddl.y"
{ 
  opserr( REQUIREM_EXPECTED, NULL ); 
;
    break;}
case 24:
#line 319 "scan-ops_pddl.y"
{ 
  if ( !supported( yyvsp[0].string ) ) {
    opserr( NOT_SUPPORTED, yyvsp[0].string );
    yyerror();
  }
;
    break;}
case 27:
#line 334 "scan-ops_pddl.y"
{ 
  if ( !supported( yyvsp[0].string ) ) {
    opserr( NOT_SUPPORTED, yyvsp[0].string );
    yyerror();
  }
;
    break;}
case 29:
#line 347 "scan-ops_pddl.y"
{ 
  opserr( TYPEDEF_EXPECTED, NULL ); 
;
    break;}
case 30:
#line 351 "scan-ops_pddl.y"
{
  gparse_types = yyvsp[-1].pTypedList;
;
    break;}
case 31:
#line 360 "scan-ops_pddl.y"
{ 
  opserr( CONSTLIST_EXPECTED, NULL ); 
;
    break;}
case 32:
#line 364 "scan-ops_pddl.y"
{
  gparse_constants = yyvsp[-1].pTypedList;
;
    break;}
case 33:
#line 375 "scan-ops_pddl.y"
{ 
  opserr( ACTION, NULL ); 
;
    break;}
case 34:
#line 379 "scan-ops_pddl.y"
{ 
  scur_op = new_PlOperator( yyvsp[0].string );
;
    break;}
case 35:
#line 383 "scan-ops_pddl.y"
{
  scur_op->next = gloaded_ops;
  gloaded_ops = scur_op; 
;
    break;}
case 36:
#line 393 "scan-ops_pddl.y"
{ 
  scur_op->params = NULL; 
;
    break;}
case 37:
#line 398 "scan-ops_pddl.y"
{
  TypedList *tl;
  scur_op->parse_params = yyvsp[-1].pTypedList;
  for (tl = scur_op->parse_params; tl; tl = tl->next) {
    /* to be able to distinguish params from :VARS 
     */
    scur_op->number_of_real_params++;
  }
;
    break;}
case 39:
#line 414 "scan-ops_pddl.y"
{
  TypedList *tl = NULL;

  /* add vars as parameters 
   */
  if ( scur_op->parse_params ) {
    for( tl = scur_op->parse_params; tl->next; tl = tl->next ) {
      /* empty, get to the end of list 
       */
    }
    tl->next = yyvsp[-2].pTypedList;
    tl = tl->next;
  } else {
    scur_op->parse_params = yyvsp[-2].pTypedList;
  }
;
    break;}
case 40:
#line 432 "scan-ops_pddl.y"
{ 
  scur_op->preconds = yyvsp[0].pPlNode; 
;
    break;}
case 42:
#line 438 "scan-ops_pddl.y"
{ 
  scur_op->effects = yyvsp[0].pPlNode; 
;
    break;}
case 44:
#line 453 "scan-ops_pddl.y"
{
  yyval.pPlNode = new_PlNode(COMP);
  yyval.pPlNode->comp = LE;
  yyval.pPlNode->lh = yyvsp[-2].pParseExpNode;
  yyval.pPlNode->rh = yyvsp[-1].pParseExpNode;
;
    break;}
case 45:
#line 461 "scan-ops_pddl.y"
{
  yyval.pPlNode = new_PlNode(COMP);
  yyval.pPlNode->comp = LEQ;
  yyval.pPlNode->lh = yyvsp[-2].pParseExpNode;
  yyval.pPlNode->rh = yyvsp[-1].pParseExpNode;
;
    break;}
case 46:
#line 469 "scan-ops_pddl.y"
{
  yyval.pPlNode = new_PlNode(COMP);
  yyval.pPlNode->comp = EQ;
  yyval.pPlNode->lh = yyvsp[-2].pParseExpNode;
  yyval.pPlNode->rh = yyvsp[-1].pParseExpNode;
;
    break;}
case 47:
#line 477 "scan-ops_pddl.y"
{
  yyval.pPlNode = new_PlNode(COMP);
  yyval.pPlNode->comp = GEQ;
  yyval.pPlNode->lh = yyvsp[-2].pParseExpNode;
  yyval.pPlNode->rh = yyvsp[-1].pParseExpNode;
;
    break;}
case 48:
#line 485 "scan-ops_pddl.y"
{
  yyval.pPlNode = new_PlNode(COMP);
  yyval.pPlNode->comp = GE;
  yyval.pPlNode->lh = yyvsp[-2].pParseExpNode;
  yyval.pPlNode->rh = yyvsp[-1].pParseExpNode;
;
    break;}
case 49:
#line 493 "scan-ops_pddl.y"
{ 
  if ( sis_negated ) {
    yyval.pPlNode = new_PlNode(NOT);
    yyval.pPlNode->sons = new_PlNode(ATOM);
    yyval.pPlNode->sons->atom = yyvsp[0].pTokenList;
    sis_negated = FALSE;
  } else {
    yyval.pPlNode = new_PlNode(ATOM);
    yyval.pPlNode->atom = yyvsp[0].pTokenList;
  }
;
    break;}
case 50:
#line 506 "scan-ops_pddl.y"
{ 
  yyval.pPlNode = new_PlNode(AND);
  yyval.pPlNode->sons = yyvsp[-1].pPlNode;
;
    break;}
case 51:
#line 512 "scan-ops_pddl.y"
{ 
  yyval.pPlNode = new_PlNode(OR);
  yyval.pPlNode->sons = yyvsp[-1].pPlNode;
;
    break;}
case 52:
#line 518 "scan-ops_pddl.y"
{ 
  yyval.pPlNode = new_PlNode(NOT);
  yyval.pPlNode->sons = yyvsp[-1].pPlNode;
;
    break;}
case 53:
#line 524 "scan-ops_pddl.y"
{ 
  PlNode *np = new_PlNode(NOT);
  np->sons = yyvsp[-2].pPlNode;
  np->next = yyvsp[-1].pPlNode;

  yyval.pPlNode = new_PlNode(OR);
  yyval.pPlNode->sons = np;
;
    break;}
case 54:
#line 536 "scan-ops_pddl.y"
{ 

  PlNode *pln;

  pln = new_PlNode(EX);
  pln->parse_vars = yyvsp[-3].pTypedList;

  yyval.pPlNode = pln;
  pln->sons = yyvsp[-1].pPlNode;

;
    break;}
case 55:
#line 551 "scan-ops_pddl.y"
{ 

  PlNode *pln;

  pln = new_PlNode(ALL);
  pln->parse_vars = yyvsp[-3].pTypedList;

  yyval.pPlNode = pln;
  pln->sons = yyvsp[-1].pPlNode;

;
    break;}
case 56:
#line 568 "scan-ops_pddl.y"
{
  yyval.pPlNode = NULL;
;
    break;}
case 57:
#line 573 "scan-ops_pddl.y"
{
  yyvsp[-1].pPlNode->next = yyvsp[0].pPlNode;
  yyval.pPlNode = yyvsp[-1].pPlNode;
;
    break;}
case 58:
#line 585 "scan-ops_pddl.y"
{
  yyval.pPlNode = new_PlNode( NEF );
  yyval.pPlNode->neft = ASSIGN;
  yyval.pPlNode->lh = yyvsp[-2].pParseExpNode;
  yyval.pPlNode->rh = yyvsp[-1].pParseExpNode;
;
    break;}
case 59:
#line 593 "scan-ops_pddl.y"
{
  yyval.pPlNode = new_PlNode( NEF );
  yyval.pPlNode->neft = SCALE_UP;
  yyval.pPlNode->lh = yyvsp[-2].pParseExpNode;
  yyval.pPlNode->rh = yyvsp[-1].pParseExpNode;
;
    break;}
case 60:
#line 601 "scan-ops_pddl.y"
{
  yyval.pPlNode = new_PlNode( NEF );
  yyval.pPlNode->neft = SCALE_DOWN;
  yyval.pPlNode->lh = yyvsp[-2].pParseExpNode;
  yyval.pPlNode->rh = yyvsp[-1].pParseExpNode;
;
    break;}
case 61:
#line 609 "scan-ops_pddl.y"
{
  yyval.pPlNode = new_PlNode( NEF );
  yyval.pPlNode->neft = INCREASE;
  yyval.pPlNode->lh = yyvsp[-2].pParseExpNode;
  yyval.pPlNode->rh = yyvsp[-1].pParseExpNode;
;
    break;}
case 62:
#line 617 "scan-ops_pddl.y"
{
  yyval.pPlNode = new_PlNode( NEF );
  yyval.pPlNode->neft = DECREASE;
  yyval.pPlNode->lh = yyvsp[-2].pParseExpNode;
  yyval.pPlNode->rh = yyvsp[-1].pParseExpNode;
;
    break;}
case 63:
#line 625 "scan-ops_pddl.y"
{ 
  if ( sis_negated ) {
    yyval.pPlNode = new_PlNode(NOT);
    yyval.pPlNode->sons = new_PlNode(ATOM);
    yyval.pPlNode->sons->atom = yyvsp[0].pTokenList;
    sis_negated = FALSE;
  } else {
    yyval.pPlNode = new_PlNode(ATOM);
    yyval.pPlNode->atom = yyvsp[0].pTokenList;
  }
;
    break;}
case 64:
#line 638 "scan-ops_pddl.y"
{ 
  yyval.pPlNode = new_PlNode(AND);
  yyval.pPlNode->sons = yyvsp[-1].pPlNode;
;
    break;}
case 65:
#line 646 "scan-ops_pddl.y"
{ 

  PlNode *pln;

  pln = new_PlNode(ALL);
  pln->parse_vars = yyvsp[-3].pTypedList;

  yyval.pPlNode = pln;
  pln->sons = yyvsp[-1].pPlNode;

;
    break;}
case 66:
#line 659 "scan-ops_pddl.y"
{
  /* This will be conditional effects in FF representation, but here
   * a formula like (WHEN p q) will be saved as:
   *  [WHEN]
   *  [sons]
   *   /  \
   * [p]  [q]
   * That means, the first son is p, and the second one is q. 
   */
  yyval.pPlNode = new_PlNode(WHEN);
  yyvsp[-2].pPlNode->next = yyvsp[-1].pPlNode;
  yyval.pPlNode->sons = yyvsp[-2].pPlNode;
;
    break;}
case 67:
#line 677 "scan-ops_pddl.y"
{ 
  yyval.pPlNode = NULL; 
;
    break;}
case 68:
#line 682 "scan-ops_pddl.y"
{
  yyvsp[-1].pPlNode->next = yyvsp[0].pPlNode;
  yyval.pPlNode = yyvsp[-1].pPlNode;
;
    break;}
case 69:
#line 694 "scan-ops_pddl.y"
{
  yyval.pParseExpNode = new_ParseExpNode( FHEAD );
  yyval.pParseExpNode->atom = new_TokenList();
  yyval.pParseExpNode->atom->item = new_Token( strlen(yyvsp[-2].string)+1 );
  strcpy( yyval.pParseExpNode->atom->item, yyvsp[-2].string );
  yyval.pParseExpNode->atom->next = yyvsp[-1].pTokenList;
;
    break;}
case 70:
#line 707 "scan-ops_pddl.y"
{ 
  yyval.pParseExpNode = new_ParseExpNode( NUMBER );
  yyval.pParseExpNode->atom = new_TokenList();
  yyval.pParseExpNode->atom->item = new_Token( strlen(yyvsp[0].string)+1 );
  strcpy( yyval.pParseExpNode->atom->item, yyvsp[0].string );
;
    break;}
case 71:
#line 715 "scan-ops_pddl.y"
{
  yyval.pParseExpNode = yyvsp[0].pParseExpNode;
;
    break;}
case 72:
#line 720 "scan-ops_pddl.y"
{
  yyval.pParseExpNode = new_ParseExpNode( MINUS );
  yyval.pParseExpNode->leftson = yyvsp[-1].pParseExpNode;
;
    break;}
case 73:
#line 726 "scan-ops_pddl.y"
{
  yyval.pParseExpNode = new_ParseExpNode( AD );
  yyval.pParseExpNode->leftson = yyvsp[-2].pParseExpNode;
  yyval.pParseExpNode->rightson = yyvsp[-1].pParseExpNode;
;
    break;}
case 74:
#line 733 "scan-ops_pddl.y"
{
  yyval.pParseExpNode = new_ParseExpNode( SU );
  yyval.pParseExpNode->leftson = yyvsp[-2].pParseExpNode;
  yyval.pParseExpNode->rightson = yyvsp[-1].pParseExpNode;
;
    break;}
case 75:
#line 740 "scan-ops_pddl.y"
{
  yyval.pParseExpNode = new_ParseExpNode( MU );
  yyval.pParseExpNode->leftson = yyvsp[-2].pParseExpNode;
  yyval.pParseExpNode->rightson = yyvsp[-1].pParseExpNode;
;
    break;}
case 76:
#line 747 "scan-ops_pddl.y"
{
  yyval.pParseExpNode = new_ParseExpNode( DI );
  yyval.pParseExpNode->leftson = yyvsp[-2].pParseExpNode;
  yyval.pParseExpNode->rightson = yyvsp[-1].pParseExpNode;
;
    break;}
case 77:
#line 758 "scan-ops_pddl.y"
{ 
  yyval.pTokenList = yyvsp[-1].pTokenList;
  sis_negated = TRUE;
;
    break;}
case 78:
#line 764 "scan-ops_pddl.y"
{
  yyval.pTokenList = yyvsp[0].pTokenList;
;
    break;}
case 79:
#line 773 "scan-ops_pddl.y"
{ 
  yyval.pTokenList = new_TokenList();
  yyval.pTokenList->item = yyvsp[-2].pstring;
  yyval.pTokenList->next = yyvsp[-1].pTokenList;
;
    break;}
case 80:
#line 780 "scan-ops_pddl.y"
{
  yyval.pTokenList = new_TokenList();
  yyval.pTokenList->item = new_Token( 5 );
  yyval.pTokenList->item = "=";
  yyval.pTokenList->next = yyvsp[-1].pTokenList;
;
    break;}
case 81:
#line 792 "scan-ops_pddl.y"
{ yyval.pTokenList = NULL; ;
    break;}
case 82:
#line 795 "scan-ops_pddl.y"
{
  yyval.pTokenList = new_TokenList();
  yyval.pTokenList->item = yyvsp[-1].pstring;
  yyval.pTokenList->next = yyvsp[0].pTokenList;
;
    break;}
case 83:
#line 806 "scan-ops_pddl.y"
{ 
  yyval.pstring = new_Token( strlen(yyvsp[0].string)+1 );
  strcpy( yyval.pstring, yyvsp[0].string );
;
    break;}
case 84:
#line 812 "scan-ops_pddl.y"
{ 
  yyval.pstring = new_Token( strlen(yyvsp[0].string)+1 );
  strcpy( yyval.pstring, yyvsp[0].string );
;
    break;}
case 85:
#line 822 "scan-ops_pddl.y"
{
  yyval.pTokenList = new_TokenList();
  yyval.pTokenList->item = new_Token( strlen(yyvsp[0].string)+1 );
  strcpy( yyval.pTokenList->item, yyvsp[0].string );
;
    break;}
case 86:
#line 829 "scan-ops_pddl.y"
{
  yyval.pTokenList = new_TokenList();
  yyval.pTokenList->item = new_Token( strlen(yyvsp[-1].string)+1 );
  strcpy( yyval.pTokenList->item, yyvsp[-1].string );
  yyval.pTokenList->next = yyvsp[0].pTokenList;
;
    break;}
case 87:
#line 840 "scan-ops_pddl.y"
{ 
  yyval.pstring = new_Token( strlen(yyvsp[0].string)+1 );
  strcpy( yyval.pstring, yyvsp[0].string );
;
    break;}
case 88:
#line 850 "scan-ops_pddl.y"
{ yyval.pTypedList = NULL; ;
    break;}
case 89:
#line 853 "scan-ops_pddl.y"
{ 

  yyval.pTypedList = new_TypedList();
  yyval.pTypedList->name = new_Token( strlen(yyvsp[-4].string)+1 );
  strcpy( yyval.pTypedList->name, yyvsp[-4].string );
  yyval.pTypedList->type = yyvsp[-2].pTokenList;
  yyval.pTypedList->next = yyvsp[0].pTypedList;
;
    break;}
case 90:
#line 863 "scan-ops_pddl.y"
{
  yyval.pTypedList = new_TypedList();
  yyval.pTypedList->name = new_Token( strlen(yyvsp[-3].string)+1 );
  strcpy( yyval.pTypedList->name, yyvsp[-3].string );
  yyval.pTypedList->type = new_TokenList();
  yyval.pTypedList->type->item = new_Token( strlen(yyvsp[-1].string)+1 );
  strcpy( yyval.pTypedList->type->item, yyvsp[-1].string );
  yyval.pTypedList->next = yyvsp[0].pTypedList;
;
    break;}
case 91:
#line 874 "scan-ops_pddl.y"
{
  yyval.pTypedList = new_TypedList();
  yyval.pTypedList->name = new_Token( strlen(yyvsp[-1].string)+1 );
  strcpy( yyval.pTypedList->name, yyvsp[-1].string );
  if ( yyvsp[0].pTypedList ) {/* another element (already typed) is following */
    yyval.pTypedList->type = copy_TokenList( yyvsp[0].pTypedList->type );
  } else {/* no further element - it must be an untyped list */
    yyval.pTypedList->type = new_TokenList();
    yyval.pTypedList->type->item = new_Token( strlen(STANDARD_TYPE)+1 );
    strcpy( yyval.pTypedList->type->item, STANDARD_TYPE );
  }
  yyval.pTypedList->next = yyvsp[0].pTypedList;
;
    break;}
case 92:
#line 893 "scan-ops_pddl.y"
{ yyval.pTypedList = NULL; ;
    break;}
case 93:
#line 896 "scan-ops_pddl.y"
{ 
  yyval.pTypedList = new_TypedList();
  yyval.pTypedList->name = new_Token( strlen(yyvsp[-4].string)+1 );
  strcpy( yyval.pTypedList->name, yyvsp[-4].string );
  yyval.pTypedList->type = yyvsp[-2].pTokenList;
  yyval.pTypedList->next = yyvsp[0].pTypedList;
;
    break;}
case 94:
#line 905 "scan-ops_pddl.y"
{
  yyval.pTypedList = new_TypedList();
  yyval.pTypedList->name = new_Token( strlen(yyvsp[-3].string)+1 );
  strcpy( yyval.pTypedList->name, yyvsp[-3].string );
  yyval.pTypedList->type = new_TokenList();
  yyval.pTypedList->type->item = new_Token( strlen(yyvsp[-1].string)+1 );
  strcpy( yyval.pTypedList->type->item, yyvsp[-1].string );
  yyval.pTypedList->next = yyvsp[0].pTypedList;
;
    break;}
case 95:
#line 916 "scan-ops_pddl.y"
{
  yyval.pTypedList = new_TypedList();
  yyval.pTypedList->name = new_Token( strlen(yyvsp[-1].string)+1 );
  strcpy( yyval.pTypedList->name, yyvsp[-1].string );
  if ( yyvsp[0].pTypedList ) {/* another element (already typed) is following */
    yyval.pTypedList->type = copy_TokenList( yyvsp[0].pTypedList->type );
  } else {/* no further element - it must be an untyped list */
    yyval.pTypedList->type = new_TokenList();
    yyval.pTypedList->type->item = new_Token( strlen(STANDARD_TYPE)+1 );
    strcpy( yyval.pTypedList->type->item, STANDARD_TYPE );
  }
  yyval.pTypedList->next = yyvsp[0].pTypedList;
;
    break;}
}

#line 839 "/usr/share/bison++/bison.cc"
   /* the action file gets copied in in place of this dollarsign  */
  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YY_parse_LSP_NEEDED
  yylsp -= yylen;
#endif

#if YY_parse_DEBUG != 0
  if (YY_parse_DEBUG_FLAG)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YY_parse_LSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = YY_parse_LLOC.first_line;
      yylsp->first_column = YY_parse_LLOC.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  YYGOTO(yynewstate);

YYLABEL(yyerrlab)   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++YY_parse_NERRS;

#ifdef YY_parse_ERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      YY_parse_ERROR(msg);
	      free(msg);
	    }
	  else
	    YY_parse_ERROR ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YY_parse_ERROR_VERBOSE */
	YY_parse_ERROR("parse error");
    }

  YYGOTO(yyerrlab1);
YYLABEL(yyerrlab1)   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (YY_parse_CHAR == YYEOF)
	YYABORT;

#if YY_parse_DEBUG != 0
      if (YY_parse_DEBUG_FLAG)
	fprintf(stderr, "Discarding token %d (%s).\n", YY_parse_CHAR, yytname[yychar1]);
#endif

      YY_parse_CHAR = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;              /* Each real token shifted decrements this */

  YYGOTO(yyerrhandle);

YYLABEL(yyerrdefault)  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) YYGOTO(yydefault);
#endif

YYLABEL(yyerrpop)   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YY_parse_LSP_NEEDED
  yylsp--;
#endif

#if YY_parse_DEBUG != 0
  if (YY_parse_DEBUG_FLAG)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

YYLABEL(yyerrhandle)

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    YYGOTO(yyerrdefault);

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    YYGOTO(yyerrdefault);

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	YYGOTO(yyerrpop);
      yyn = -yyn;
      YYGOTO(yyreduce);
    }
  else if (yyn == 0)
    YYGOTO(yyerrpop);

  if (yyn == YYFINAL)
    YYACCEPT;

#if YY_parse_DEBUG != 0
  if (YY_parse_DEBUG_FLAG)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = YY_parse_LVAL;
#ifdef YY_parse_LSP_NEEDED
  *++yylsp = YY_parse_LLOC;
#endif

  yystate = yyn;
  YYGOTO(yynewstate);
/* end loop, in which YYGOTO may be used. */
  YYENDGOTO
}

/* END */

 #line 1038 "/usr/share/bison++/bison.cc"
#line 933 "scan-ops_pddl.y"

#include "lex.ops_pddl.c"


/**********************************************************************
 * Functions
 **********************************************************************/

/* 
 * call	bison -pops -bscan-ops scan-ops.y
 */

void opserr( int errno, char *par )

{

  /*  sact_err = errno;
 
  if ( sact_err_par ) {
    free(sact_err_par);
  }
  if ( par ) {
    sact_err_par = new_Token(strlen(par)+1);
    strcpy(sact_err_par, par);
  } else {
    sact_err_par = NULL;
  }
  */
}
  


int yyerror( char *msg )

{

  fflush(stdout);
  fprintf(stderr, "\n%s: syntax error in line %d, '%s':\n", 
	  gact_filename, lineno, yytext);

  if ( NULL != sact_err_par ) {
    fprintf(stderr, "%s %s\n", serrmsg[sact_err], sact_err_par);
  } else {
    fprintf(stderr, "%s\n", serrmsg[sact_err]);
  }

  exit( 1 );

}



void load_ops_file( char *filename )

{

  FILE * fp;/* pointer to input files */
  char tmp[MAX_LENGTH] = "";

  /* open operator file 
   */
  if( ( fp = fopen( filename, "r" ) ) == NULL ) {
    sprintf(tmp, "\nff: can't find operator file: %s\n\n", filename );
    perror(tmp);
    exit( 1 );
  }

  gact_filename = filename;
  lineno = 1; 
  yyin = fp;

  yyparse();

  fclose( fp );/* and close file again */

}
