(setf *this-timeout* 30)
(setf *this-date* "1217")
(setf *this-domain* "logistics")

(setf *experiment-train*
      (list '(delete-casebase *this-domain*)
	    '(cbp-runset *this-domain* :store-case t :use-case nil 
			 :save-result nil :probs-prefix "aips-98-prob01")
	    '(cbp-runset *this-domain* :store-case t :use-case nil 
			 :save-result nil :probs-prefix "aips-98-prob02")

	    ))


(setf *experiment-tests*
      (list '('ehc (runset *this-domain* :timeout *this-timeout* :probs-prefix "prob"
		     :out-file (conc-outfile "ehc" "dat")))
	    '('cbr (cbp-runset *this-domain* :runtype 'ehc :timeout *this-timeout* 
			       :heuristic 'h-relaxedplan
			       :out-file (conc-outfile "cbp" "dat") :store-case nil :probs-prefix "prob"
			       :use-case t :save-result t))
	    '('allob (cbp-runset *this-domain* :runtype 'ehc-allob :timeout *this-timeout* 
				 :probs-prefix "prob" :heuristic 'h-relaxedplan
				 :out-file (conc-outfile "allob" "dat")
				 :store-case nil :use-case t :save-result t :trace-selected t))
	    '('h-diff (cbp-runset *this-domain* :runtype 'ehc-h-diff :timeout *this-timeout* 
				 :probs-prefix "prob" :heuristic 'h-relaxedplan
				 :out-file (conc-outfile "h-diff" "dat")
				 :store-case nil :use-case t :save-result t :trace-selected t))
))


(setf *experiment-outputs*
      (list '(num-problems-solved (conc-outfile "ehc_vs_cbr_probsolved" "txt"))
	    '(data-toplot (conc-outfile "ehc_vs_cbr_data" "txt" ))
	    '(save-usedcases (conc-outfile "ehc_vs_cbr_usedcases" "txt"))
	    ))




