(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	instrument2 - instrument
	satellite1 - satellite
	instrument3 - instrument
	instrument4 - instrument
	satellite2 - satellite
	instrument5 - instrument
	satellite3 - satellite
	instrument6 - instrument
	instrument7 - instrument
	instrument8 - instrument
	satellite4 - satellite
	instrument9 - instrument
	image4 - mode
	image0 - mode
	spectrograph3 - mode
	infrared2 - mode
	thermograph1 - mode
	Star1 - direction
	Star3 - direction
	GroundStation2 - direction
	GroundStation0 - direction
	GroundStation4 - direction
	Star5 - direction
	Star6 - direction
	Phenomenon7 - direction
	Phenomenon8 - direction
	Planet9 - direction
	Phenomenon10 - direction
	Phenomenon11 - direction
	Planet12 - direction
	Planet13 - direction
	Planet14 - direction
	Planet15 - direction
	Phenomenon16 - direction
	Star17 - direction
	Planet18 - direction
	Star19 - direction
)
(:init
	(supports instrument0 infrared2)
	(calibration_target instrument0 GroundStation0)
	(supports instrument1 image0)
	(supports instrument1 spectrograph3)
	(calibration_target instrument1 Star1)
	(supports instrument2 infrared2)
	(supports instrument2 thermograph1)
	(supports instrument2 spectrograph3)
	(calibration_target instrument2 Star1)
	(on_board instrument0 satellite0)
	(on_board instrument1 satellite0)
	(on_board instrument2 satellite0)
	(power_avail satellite0)
	(pointing satellite0 Planet12)
	(supports instrument3 infrared2)
	(calibration_target instrument3 Star3)
	(supports instrument4 spectrograph3)
	(supports instrument4 thermograph1)
	(supports instrument4 image0)
	(calibration_target instrument4 Star3)
	(on_board instrument3 satellite1)
	(on_board instrument4 satellite1)
	(power_avail satellite1)
	(pointing satellite1 Phenomenon11)
	(supports instrument5 thermograph1)
	(supports instrument5 spectrograph3)
	(calibration_target instrument5 Star3)
	(on_board instrument5 satellite2)
	(power_avail satellite2)
	(pointing satellite2 Planet15)
	(supports instrument6 image4)
	(supports instrument6 infrared2)
	(calibration_target instrument6 Star3)
	(supports instrument7 spectrograph3)
	(supports instrument7 infrared2)
	(supports instrument7 image4)
	(calibration_target instrument7 GroundStation2)
	(supports instrument8 infrared2)
	(supports instrument8 spectrograph3)
	(supports instrument8 image0)
	(calibration_target instrument8 GroundStation0)
	(on_board instrument6 satellite3)
	(on_board instrument7 satellite3)
	(on_board instrument8 satellite3)
	(power_avail satellite3)
	(pointing satellite3 Phenomenon7)
	(supports instrument9 thermograph1)
	(calibration_target instrument9 GroundStation4)
	(on_board instrument9 satellite4)
	(power_avail satellite4)
	(pointing satellite4 Phenomenon16)
)
(:goal (and
	(pointing satellite2 Planet14)
	(have_image Star5 image4)
	(have_image Star6 image4)
	(have_image Phenomenon7 image4)
	(have_image Phenomenon8 thermograph1)
	(have_image Planet9 image0)
	(have_image Phenomenon10 infrared2)
	(have_image Phenomenon11 thermograph1)
	(have_image Planet12 image4)
	(have_image Planet13 thermograph1)
	(have_image Planet14 spectrograph3)
	(have_image Planet15 thermograph1)
	(have_image Phenomenon16 spectrograph3)
	(have_image Star17 image0)
	(have_image Planet18 image0)
	(have_image Star19 infrared2)
))

)
