(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	satellite1 - satellite
	instrument2 - instrument
	satellite2 - satellite
	instrument3 - instrument
	satellite3 - satellite
	instrument4 - instrument
	instrument5 - instrument
	satellite4 - satellite
	instrument6 - instrument
	instrument7 - instrument
	satellite5 - satellite
	instrument8 - instrument
	image3 - mode
	spectrograph1 - mode
	infrared2 - mode
	thermograph0 - mode
	infrared4 - mode
	GroundStation4 - direction
	Star0 - direction
	GroundStation2 - direction
	GroundStation1 - direction
	GroundStation3 - direction
	Planet5 - direction
	Phenomenon6 - direction
	Phenomenon7 - direction
	Phenomenon8 - direction
	Planet9 - direction
	Planet10 - direction
	Phenomenon11 - direction
	Star12 - direction
	Star13 - direction
	Star14 - direction
	Planet15 - direction
	Phenomenon16 - direction
	Phenomenon17 - direction
	Planet18 - direction
	Phenomenon19 - direction
	Phenomenon20 - direction
	Planet21 - direction
	Star22 - direction
	Planet23 - direction
	Planet24 - direction
)
(:init
	(supports instrument0 thermograph0)
	(calibration_target instrument0 GroundStation3)
	(supports instrument1 infrared4)
	(supports instrument1 image3)
	(calibration_target instrument1 GroundStation3)
	(on_board instrument0 satellite0)
	(on_board instrument1 satellite0)
	(power_avail satellite0)
	(pointing satellite0 Star0)
	(supports instrument2 spectrograph1)
	(supports instrument2 infrared2)
	(calibration_target instrument2 GroundStation3)
	(on_board instrument2 satellite1)
	(power_avail satellite1)
	(pointing satellite1 Phenomenon17)
	(supports instrument3 infrared2)
	(supports instrument3 thermograph0)
	(calibration_target instrument3 GroundStation4)
	(on_board instrument3 satellite2)
	(power_avail satellite2)
	(pointing satellite2 Planet5)
	(supports instrument4 infrared2)
	(supports instrument4 image3)
	(calibration_target instrument4 Star0)
	(supports instrument5 spectrograph1)
	(supports instrument5 thermograph0)
	(calibration_target instrument5 GroundStation3)
	(on_board instrument4 satellite3)
	(on_board instrument5 satellite3)
	(power_avail satellite3)
	(pointing satellite3 Star0)
	(supports instrument6 infrared2)
	(supports instrument6 spectrograph1)
	(calibration_target instrument6 GroundStation2)
	(supports instrument7 thermograph0)
	(calibration_target instrument7 GroundStation1)
	(on_board instrument6 satellite4)
	(on_board instrument7 satellite4)
	(power_avail satellite4)
	(pointing satellite4 Planet18)
	(supports instrument8 infrared4)
	(calibration_target instrument8 GroundStation3)
	(on_board instrument8 satellite5)
	(power_avail satellite5)
	(pointing satellite5 Star14)
)
(:goal (and
	(pointing satellite0 GroundStation4)
	(pointing satellite3 GroundStation4)
	(have_image Planet5 infrared4)
	(have_image Phenomenon6 infrared2)
	(have_image Phenomenon7 spectrograph1)
	(have_image Phenomenon8 thermograph0)
	(have_image Planet9 infrared2)
	(have_image Phenomenon11 thermograph0)
	(have_image Star12 spectrograph1)
	(have_image Star13 spectrograph1)
	(have_image Star14 infrared4)
	(have_image Phenomenon16 thermograph0)
	(have_image Phenomenon17 spectrograph1)
	(have_image Planet18 infrared4)
	(have_image Phenomenon19 infrared4)
	(have_image Phenomenon20 infrared4)
	(have_image Planet21 spectrograph1)
	(have_image Star22 infrared4)
	(have_image Planet23 infrared4)
	(have_image Planet24 infrared4)
))

)
