(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	satellite0 - satellite
	instrument0 - instrument
	satellite1 - satellite
	instrument1 - instrument
	instrument2 - instrument
	instrument3 - instrument
	satellite2 - satellite
	instrument4 - instrument
	instrument5 - instrument
	instrument6 - instrument
	instrument7 - instrument
	satellite3 - satellite
	instrument8 - instrument
	satellite4 - satellite
	instrument9 - instrument
	instrument10 - instrument
	instrument11 - instrument
	instrument12 - instrument
	instrument13 - instrument
	spectrograph1 - mode
	thermograph4 - mode
	thermograph0 - mode
	infrared3 - mode
	infrared2 - mode
	Star4 - direction
	GroundStation2 - direction
	GroundStation3 - direction
	Star1 - direction
	GroundStation0 - direction
	Star5 - direction
	Star6 - direction
	Star7 - direction
	Phenomenon8 - direction
	Star9 - direction
	Planet10 - direction
	Star11 - direction
	Phenomenon12 - direction
	Phenomenon13 - direction
	Planet14 - direction
	Star15 - direction
	Planet16 - direction
	Planet17 - direction
	Planet18 - direction
	Phenomenon19 - direction
	Planet20 - direction
	Planet21 - direction
	Star22 - direction
	Phenomenon23 - direction
	Planet24 - direction
)
(:init
	(supports instrument0 spectrograph1)
	(supports instrument0 infrared3)
	(supports instrument0 infrared2)
	(calibration_target instrument0 GroundStation2)
	(on_board instrument0 satellite0)
	(power_avail satellite0)
	(pointing satellite0 Star22)
	(supports instrument1 infrared2)
	(supports instrument1 thermograph4)
	(calibration_target instrument1 Star1)
	(supports instrument2 thermograph0)
	(supports instrument2 infrared3)
	(supports instrument2 infrared2)
	(calibration_target instrument2 Star1)
	(supports instrument3 spectrograph1)
	(supports instrument3 infrared3)
	(calibration_target instrument3 GroundStation2)
	(on_board instrument1 satellite1)
	(on_board instrument2 satellite1)
	(on_board instrument3 satellite1)
	(power_avail satellite1)
	(pointing satellite1 Planet10)
	(supports instrument4 thermograph4)
	(supports instrument4 thermograph0)
	(calibration_target instrument4 Star4)
	(supports instrument5 thermograph4)
	(supports instrument5 infrared2)
	(supports instrument5 infrared3)
	(calibration_target instrument5 Star4)
	(supports instrument6 infrared2)
	(calibration_target instrument6 GroundStation0)
	(supports instrument7 spectrograph1)
	(calibration_target instrument7 Star4)
	(on_board instrument4 satellite2)
	(on_board instrument5 satellite2)
	(on_board instrument6 satellite2)
	(on_board instrument7 satellite2)
	(power_avail satellite2)
	(pointing satellite2 Planet16)
	(supports instrument8 thermograph0)
	(supports instrument8 infrared3)
	(supports instrument8 thermograph4)
	(calibration_target instrument8 GroundStation2)
	(on_board instrument8 satellite3)
	(power_avail satellite3)
	(pointing satellite3 Planet18)
	(supports instrument9 thermograph0)
	(supports instrument9 thermograph4)
	(calibration_target instrument9 Star1)
	(supports instrument10 infrared3)
	(supports instrument10 spectrograph1)
	(calibration_target instrument10 GroundStation3)
	(supports instrument11 infrared2)
	(supports instrument11 thermograph0)
	(supports instrument11 thermograph4)
	(calibration_target instrument11 GroundStation0)
	(supports instrument12 infrared3)
	(supports instrument12 infrared2)
	(calibration_target instrument12 Star1)
	(supports instrument13 infrared2)
	(supports instrument13 infrared3)
	(calibration_target instrument13 GroundStation0)
	(on_board instrument9 satellite4)
	(on_board instrument10 satellite4)
	(on_board instrument11 satellite4)
	(on_board instrument12 satellite4)
	(on_board instrument13 satellite4)
	(power_avail satellite4)
	(pointing satellite4 Phenomenon13)
)
(:goal (and
	(pointing satellite0 Star6)
	(pointing satellite2 Planet14)
	(pointing satellite3 Phenomenon8)
	(have_image Star5 spectrograph1)
	(have_image Star6 spectrograph1)
	(have_image Star7 infrared2)
	(have_image Star9 thermograph4)
	(have_image Planet10 infrared2)
	(have_image Star11 infrared3)
	(have_image Phenomenon12 infrared2)
	(have_image Phenomenon13 thermograph4)
	(have_image Star15 spectrograph1)
	(have_image Planet16 thermograph4)
	(have_image Planet17 infrared3)
	(have_image Planet18 infrared3)
	(have_image Phenomenon19 infrared3)
	(have_image Planet20 infrared3)
	(have_image Planet21 thermograph4)
	(have_image Star22 infrared2)
	(have_image Phenomenon23 spectrograph1)
	(have_image Planet24 spectrograph1)
))

)
