(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	satellite0 - satellite
	instrument0 - instrument
	satellite1 - satellite
	instrument1 - instrument
	instrument2 - instrument
	satellite2 - satellite
	instrument3 - instrument
	instrument4 - instrument
	satellite3 - satellite
	instrument5 - instrument
	satellite4 - satellite
	instrument6 - instrument
	instrument7 - instrument
	spectrograph3 - mode
	infrared2 - mode
	image0 - mode
	spectrograph4 - mode
	spectrograph1 - mode
	GroundStation1 - direction
	Star4 - direction
	Star0 - direction
	Star3 - direction
	GroundStation2 - direction
	Star5 - direction
	Phenomenon6 - direction
	Star7 - direction
	Phenomenon8 - direction
	Star9 - direction
	Phenomenon10 - direction
	Star11 - direction
	Planet12 - direction
	Phenomenon13 - direction
	Star14 - direction
)
(:init
	(supports instrument0 image0)
	(calibration_target instrument0 Star4)
	(on_board instrument0 satellite0)
	(power_avail satellite0)
	(pointing satellite0 GroundStation2)
	(supports instrument1 spectrograph4)
	(calibration_target instrument1 GroundStation1)
	(supports instrument2 spectrograph3)
	(calibration_target instrument2 Star4)
	(on_board instrument1 satellite1)
	(on_board instrument2 satellite1)
	(power_avail satellite1)
	(pointing satellite1 Star9)
	(supports instrument3 infrared2)
	(calibration_target instrument3 Star3)
	(supports instrument4 infrared2)
	(supports instrument4 spectrograph4)
	(calibration_target instrument4 Star4)
	(on_board instrument3 satellite2)
	(on_board instrument4 satellite2)
	(power_avail satellite2)
	(pointing satellite2 Planet12)
	(supports instrument5 image0)
	(supports instrument5 spectrograph3)
	(calibration_target instrument5 Star0)
	(on_board instrument5 satellite3)
	(power_avail satellite3)
	(pointing satellite3 Star5)
	(supports instrument6 image0)
	(supports instrument6 spectrograph1)
	(supports instrument6 infrared2)
	(calibration_target instrument6 Star3)
	(supports instrument7 spectrograph1)
	(supports instrument7 spectrograph4)
	(calibration_target instrument7 GroundStation2)
	(on_board instrument6 satellite4)
	(on_board instrument7 satellite4)
	(power_avail satellite4)
	(pointing satellite4 Phenomenon13)
)
(:goal (and
	(pointing satellite0 Star4)
	(pointing satellite2 Star7)
	(pointing satellite3 Phenomenon13)
	(have_image Star5 image0)
	(have_image Phenomenon6 infrared2)
	(have_image Star7 spectrograph1)
	(have_image Phenomenon8 infrared2)
	(have_image Star9 spectrograph1)
	(have_image Phenomenon10 spectrograph3)
	(have_image Star11 image0)
	(have_image Planet12 spectrograph3)
	(have_image Phenomenon13 spectrograph1)
	(have_image Star14 spectrograph1)
))

)
