(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	satellite0 - satellite
	instrument0 - instrument
	satellite1 - satellite
	instrument1 - instrument
	satellite2 - satellite
	instrument2 - instrument
	satellite3 - satellite
	instrument3 - instrument
	instrument4 - instrument
	satellite4 - satellite
	instrument5 - instrument
	instrument6 - instrument
	instrument7 - instrument
	spectrograph1 - mode
	thermograph3 - mode
	image4 - mode
	infrared0 - mode
	infrared2 - mode
	Star0 - direction
	Star1 - direction
	GroundStation2 - direction
	Star3 - direction
	GroundStation4 - direction
	Star5 - direction
	Star6 - direction
	Planet7 - direction
	Planet8 - direction
	Phenomenon9 - direction
	Planet10 - direction
	Planet11 - direction
	Phenomenon12 - direction
	Star13 - direction
	Planet14 - direction
)
(:init
	(supports instrument0 infrared2)
	(calibration_target instrument0 GroundStation4)
	(on_board instrument0 satellite0)
	(power_avail satellite0)
	(pointing satellite0 Phenomenon12)
	(supports instrument1 infrared2)
	(supports instrument1 thermograph3)
	(supports instrument1 infrared0)
	(calibration_target instrument1 GroundStation2)
	(on_board instrument1 satellite1)
	(power_avail satellite1)
	(pointing satellite1 Planet14)
	(supports instrument2 thermograph3)
	(calibration_target instrument2 GroundStation2)
	(on_board instrument2 satellite2)
	(power_avail satellite2)
	(pointing satellite2 Star3)
	(supports instrument3 thermograph3)
	(calibration_target instrument3 Star1)
	(supports instrument4 image4)
	(supports instrument4 infrared2)
	(calibration_target instrument4 GroundStation2)
	(on_board instrument3 satellite3)
	(on_board instrument4 satellite3)
	(power_avail satellite3)
	(pointing satellite3 Star13)
	(supports instrument5 thermograph3)
	(supports instrument5 infrared0)
	(supports instrument5 infrared2)
	(calibration_target instrument5 GroundStation4)
	(supports instrument6 image4)
	(calibration_target instrument6 Star3)
	(supports instrument7 infrared2)
	(supports instrument7 infrared0)
	(calibration_target instrument7 GroundStation4)
	(on_board instrument5 satellite4)
	(on_board instrument6 satellite4)
	(on_board instrument7 satellite4)
	(power_avail satellite4)
	(pointing satellite4 Planet14)
)
(:goal (and
	(pointing satellite0 Star13)
	(pointing satellite1 Star3)
	(pointing satellite3 Planet11)
	(have_image Planet7 infrared0)
	(have_image Planet8 infrared2)
	(have_image Phenomenon9 infrared0)
	(have_image Planet10 thermograph3)
	(have_image Star13 infrared2)
	(have_image Planet14 infrared2)
))

)
