;;Calculates the position in the predicate permutation for the map-list


(setf ut_pred-mappos '((0 2) (0 3) (0 4) (3 4)))

(defun pred-mappos (list-args)
  (let ((pos 0) 
	(permuting-factor 1))
    (dolist (this-arg list-args pos)
      (setf pos (+ pos (* permuting-factor (car this-arg))))
      (setf permuting-factor (* permuting-factor (cadr this-arg))))))

  
(defun assoc-to-hash (alist)
  (let ((xhash (make-hash-table :test #'eq)))
    (dolist (element alist xhash)
      (setf (gethash (car element) xhash) (cadr element)))))


(defun perform-test (varob)
  (let ((olist '(object place locatable surface distributor pallet crate truck)))
    (dotimes (i 1000)
      (let ((iobj (nth (random 8) olist)))
	(gethash iobj varob)
;	(get-vals iobj varob)
))))


