(define (domain blocks-domain)
  (:requirements :strips :typing :equality :fluents)
  (:types object block)
  (:constants)
  (:predicates (holding ?v - block) (emptyhand) (on-table ?v - block) (on ?v - block ?v - block) (clear ?v - block))
  (:functions (fragility) (penalty))
  (:action pick-tower-ALIAS-0
     :parameters ( ?v7 - block ?v8 - block ?v9 - block)
     :precondition (and (emptyhand) (clear ?v7) (on ?v7 ?v8) (on ?v8 ?v9))
     :effect (and (increase (fragility) 2.30259) (holding ?v8) (clear ?v9) (not (emptyhand)) (not (on ?v8 ?v9))))
  (:action pick-up-ALIAS-0
     :parameters ( ?v1 - block ?v2 - block)
     :precondition (and (not (= ?v1 ?v2)) (emptyhand) (clear ?v1) (on ?v1 ?v2))
     :effect (and (increase (fragility) 0.287682) (holding ?v1) (clear ?v2) (not (emptyhand)) (not (clear ?v1)) (not (on ?v1 ?v2))))
  (:action pick-up-ALIAS-1
     :parameters ( ?v1 - block ?v2 - block)
     :precondition (and (not (= ?v1 ?v2)) (emptyhand) (clear ?v1) (on ?v1 ?v2))
     :effect (and (increase (fragility) 1.38629) (clear ?v2) (on-table ?v1) (not (on ?v1 ?v2))))
  (:action pick-up-from-table-ALIAS-0
     :parameters ( ?v3 - block)
     :precondition (and (emptyhand) (clear ?v3) (on-table ?v3))
     :effect (and (increase (fragility) 0.287682) (holding ?v3) (not (emptyhand)) (not (clear ?v3)) (not (on-table ?v3))))
  (:action put-down-ALIAS
     :parameters ( ?v6 - block)
     :precondition (holding ?v6)
     :effect (and (increase (fragility) 0) (on-table ?v6) (emptyhand) (clear ?v6) (not (holding ?v6))))
  (:action put-on-block-ALIAS-0
     :parameters ( ?v4 - block ?v5 - block)
     :precondition (and (holding ?v4) (clear ?v5))
     :effect (and (increase (fragility) 0.287682) (on ?v4 ?v5) (emptyhand) (clear ?v4) (not (holding ?v4)) (not (clear ?v5))))
  (:action put-on-block-ALIAS-1
     :parameters ( ?v4 - block ?v5 - block)
     :precondition (and (holding ?v4) (clear ?v5))
     :effect (and (increase (fragility) 1.38629) (on-table ?v4) (emptyhand) (clear ?v4) (not (holding ?v4))))
  (:action put-tower-down-ALIAS
     :parameters ( ?v13 - block ?v14 - block)
     :precondition (and (holding ?v14) (on ?v13 ?v14))
     :effect (and (increase (fragility) 0) (on-table ?v14) (emptyhand) (not (holding ?v14))))
  (:action put-tower-on-block-ALIAS-0
     :parameters ( ?v10 - block ?v11 - block ?v12 - block)
     :precondition (and (holding ?v11) (on ?v10 ?v11) (clear ?v12))
     :effect (and (increase (fragility) 2.30259) (on ?v11 ?v12) (emptyhand) (not (holding ?v11)) (not (clear ?v12))))
  (:action put-tower-on-block-ALIAS-1
     :parameters ( ?v10 - block ?v11 - block ?v12 - block)
     :precondition (and (holding ?v11) (on ?v10 ?v11) (clear ?v12))
     :effect (and (increase (fragility) 0.105361) (on-table ?v11) (emptyhand) (not (holding ?v11))))
)
