
;;; Problem set of the blocksworld domain
;;; Number of problems: 20
;;; Time bound: 30
;;; Number of goals: 1
;;; Max. number of goals: 1
;;; Types information: 
;; (object 5 5)
;;; Parameters information: ((max-tower-size . 5)
;;                             (goal-as-complete-state-p)
;;                             (type . classic) (fixed-goal . on))
;;; Filter problems: nil

(setf *all-problems* '(
(setf (current-problem)
      (create-problem (name temp-problems-5-1-1)
                      (objects (objects-are a b c d e object))
                      (state (and (holding c) (clear e) (on e a)
                                  (on-table a) (clear b) (on b d)
                                  (on-table d)))
                      (goal (arm-empty))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-2)
                      (objects (objects-are a b c d e object))
                      (state (and (arm-empty) (clear a) (on-table a)
                                  (clear c) (on c e) (on e b) (on b d)
                                  (on-table d)))
                      (goal (holding a))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-3)
                      (objects (objects-are a b c d e object))
                      (state (and (holding b) (clear d) (on d e)
                                  (on-table e) (clear a) (on a c)
                                  (on-table c)))
                      (goal (clear c))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-4)
                      (objects (objects-are a b c d e object))
                      (state (and (holding b) (clear d) (on-table d)
                                  (clear a) (on-table a) (clear e)
                                  (on e c) (on-table c)))
                      (goal (on-table b))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-5)
                      (objects (objects-are a b c d e object))
                      (state (and (arm-empty) (clear e) (on e a)
                                  (on a b) (on b c) (on c d)
                                  (on-table d)))
                      (goal (on c e))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-6)
                      (objects (objects-are a b c d e object))
                      (state (and (arm-empty) (clear b) (on-table b)
                                  (clear d) (on d a) (on a e)
                                  (on-table e) (clear c) (on-table c)))
                      (goal (on c e))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-7)
                      (objects (objects-are a b c d e object))
                      (state (and (holding b) (clear a) (on a d)
                                  (on d e) (on e c) (on-table c)))
                      (goal (arm-empty))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-8)
                      (objects (objects-are a b c d e object))
                      (state (and (arm-empty) (clear e) (on e c)
                                  (on c a) (on a b) (on b d)
                                  (on-table d)))
                      (goal (on c e))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-9)
                      (objects (objects-are a b c d e object))
                      (state (and (arm-empty) (clear d) (on-table d)
                                  (clear b) (on-table b) (clear e)
                                  (on e c) (on-table c) (clear a)
                                  (on-table a)))
                      (goal (on c e))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-10)
                      (objects (objects-are a b c d e object))
                      (state (and (holding b) (clear d) (on-table d)
                                  (clear c) (on c a) (on-table a)
                                  (clear e) (on-table e)))
                      (goal (on-table b))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-11)
                      (objects (objects-are a b c d e object))
                      (state (and (arm-empty) (clear a) (on-table a)
                                  (clear b) (on-table b) (clear c)
                                  (on c d) (on d e) (on-table e)))
                      (goal (on d a))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-12)
                      (objects (objects-are a b c d e object))
                      (state (and (arm-empty) (clear b) (on-table b)
                                  (clear e) (on e a) (on a d)
                                  (on-table d) (clear c) (on-table c)))
                      (goal (clear a))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-13)
                      (objects (objects-are a b c d e object))
                      (state (and (arm-empty) (clear d) (on d b)
                                  (on-table b) (clear c) (on c a)
                                  (on a e) (on-table e)))
                      (goal (holding b))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-14)
                      (objects (objects-are a b c d e object))
                      (state (and (arm-empty) (clear d) (on-table d)
                                  (clear c) (on c b) (on b e) (on e a)
                                  (on-table a)))
                      (goal (clear b))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-15)
                      (objects (objects-are a b c d e object))
                      (state (and (holding a) (clear b) (on-table b)
                                  (clear c) (on c d) (on-table d)
                                  (clear e) (on-table e)))
                      (goal (on b a))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-16)
                      (objects (objects-are a b c d e object))
                      (state (and (arm-empty) (clear b) (on b a)
                                  (on-table a) (clear c) (on c d)
                                  (on-table d) (clear e) (on-table e)))
                      (goal (on a e))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-17)
                      (objects (objects-are a b c d e object))
                      (state (and (arm-empty) (clear b) (on b d)
                                  (on-table d) (clear a) (on-table a)
                                  (clear e) (on e c) (on-table c)))
                      (goal (on c e))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-18)
                      (objects (objects-are a b c d e object))
                      (state (and (holding d) (clear b) (on b c)
                                  (on-table c) (clear a) (on-table a)
                                  (clear e) (on-table e)))
                      (goal (holding a))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-19)
                      (objects (objects-are a b c d e object))
                      (state (and (arm-empty) (clear e) (on e d)
                                  (on d a) (on-table a) (clear b)
                                  (on b c) (on-table c)))
                      (goal (on a e))))
(setf (current-problem)
      (create-problem (name temp-problems-5-1-20)
                      (objects (objects-are a b c d e object))
                      (state (and (holding e) (clear c) (on-table c)
                                  (clear b) (on b d) (on-table d)
                                  (clear a) (on-table a)))
                      (goal (on a b))))
))
