(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	satellite0 - satellite
	instrument0 - instrument
	satellite1 - satellite
	instrument1 - instrument
	instrument2 - instrument
	satellite2 - satellite
	instrument3 - instrument
	instrument4 - instrument
	instrument5 - instrument
	satellite3 - satellite
	instrument6 - instrument
	instrument7 - instrument
	satellite4 - satellite
	instrument8 - instrument
	instrument9 - instrument
	thermograph2 - mode
	image4 - mode
	spectrograph3 - mode
	image1 - mode
	image0 - mode
	Star4 - direction
	Star3 - direction
	Star2 - direction
	GroundStation0 - direction
	GroundStation1 - direction
	Phenomenon5 - direction
	Phenomenon6 - direction
	Phenomenon7 - direction
	Planet8 - direction
	Star9 - direction
	Star10 - direction
	Phenomenon11 - direction
	Planet12 - direction
	Planet13 - direction
	Planet14 - direction
	Planet15 - direction
	Phenomenon16 - direction
)
(:init
	(supports instrument0 thermograph2)
	(supports instrument0 image4)
	(supports instrument0 spectrograph3)
	(calibration_target instrument0 Star4)
	(on_board instrument0 satellite0)
	(power_avail satellite0)
	(pointing satellite0 Star2)
	(supports instrument1 image1)
	(calibration_target instrument1 Star4)
	(supports instrument2 image4)
	(supports instrument2 thermograph2)
	(calibration_target instrument2 Star3)
	(on_board instrument1 satellite1)
	(on_board instrument2 satellite1)
	(power_avail satellite1)
	(pointing satellite1 Planet13)
	(supports instrument3 image0)
	(calibration_target instrument3 GroundStation1)
	(supports instrument4 spectrograph3)
	(supports instrument4 image4)
	(supports instrument4 thermograph2)
	(calibration_target instrument4 Star2)
	(supports instrument5 image4)
	(supports instrument5 image1)
	(calibration_target instrument5 GroundStation1)
	(on_board instrument3 satellite2)
	(on_board instrument4 satellite2)
	(on_board instrument5 satellite2)
	(power_avail satellite2)
	(pointing satellite2 Planet15)
	(supports instrument6 image1)
	(supports instrument6 spectrograph3)
	(calibration_target instrument6 Star2)
	(supports instrument7 image1)
	(supports instrument7 image4)
	(calibration_target instrument7 Star2)
	(on_board instrument6 satellite3)
	(on_board instrument7 satellite3)
	(power_avail satellite3)
	(pointing satellite3 Phenomenon5)
	(supports instrument8 image0)
	(supports instrument8 spectrograph3)
	(calibration_target instrument8 GroundStation0)
	(supports instrument9 image0)
	(supports instrument9 image1)
	(calibration_target instrument9 GroundStation1)
	(on_board instrument8 satellite4)
	(on_board instrument9 satellite4)
	(power_avail satellite4)
	(pointing satellite4 Planet12)
)
(:goal (and
	(pointing satellite4 Planet15)
	(have_image Phenomenon5 spectrograph3)
	(have_image Phenomenon6 image0)
	(have_image Phenomenon7 thermograph2)
	(have_image Planet8 thermograph2)
	(have_image Star9 image0)
	(have_image Star10 thermograph2)
	(have_image Phenomenon11 image1)
	(have_image Planet12 image0)
	(have_image Planet13 image4)
	(have_image Planet14 image4)
	(have_image Phenomenon16 image4)
))

)
