(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	satellite1 - satellite
	instrument2 - instrument
	instrument3 - instrument
	instrument4 - instrument
	satellite2 - satellite
	instrument5 - instrument
	satellite3 - satellite
	instrument6 - instrument
	satellite4 - satellite
	instrument7 - instrument
	instrument8 - instrument
	instrument9 - instrument
	thermograph3 - mode
	image0 - mode
	image2 - mode
	infrared4 - mode
	infrared1 - mode
	Star4 - direction
	GroundStation0 - direction
	GroundStation3 - direction
	GroundStation1 - direction
	GroundStation2 - direction
	Planet5 - direction
	Star6 - direction
	Phenomenon7 - direction
	Phenomenon8 - direction
	Star9 - direction
	Phenomenon10 - direction
	Planet11 - direction
	Phenomenon12 - direction
	Phenomenon13 - direction
	Phenomenon14 - direction
	Planet15 - direction
	Planet16 - direction
)
(:init
	(supports instrument0 infrared4)
	(supports instrument0 thermograph3)
	(supports instrument0 image0)
	(calibration_target instrument0 GroundStation2)
	(supports instrument1 image2)
	(calibration_target instrument1 Star4)
	(on_board instrument0 satellite0)
	(on_board instrument1 satellite0)
	(power_avail satellite0)
	(pointing satellite0 Planet15)
	(supports instrument2 image0)
	(supports instrument2 infrared4)
	(calibration_target instrument2 GroundStation0)
	(supports instrument3 image2)
	(supports instrument3 thermograph3)
	(supports instrument3 image0)
	(calibration_target instrument3 GroundStation0)
	(supports instrument4 thermograph3)
	(calibration_target instrument4 GroundStation0)
	(on_board instrument2 satellite1)
	(on_board instrument3 satellite1)
	(on_board instrument4 satellite1)
	(power_avail satellite1)
	(pointing satellite1 Star9)
	(supports instrument5 infrared4)
	(calibration_target instrument5 GroundStation3)
	(on_board instrument5 satellite2)
	(power_avail satellite2)
	(pointing satellite2 GroundStation1)
	(supports instrument6 infrared4)
	(supports instrument6 image0)
	(calibration_target instrument6 GroundStation2)
	(on_board instrument6 satellite3)
	(power_avail satellite3)
	(pointing satellite3 GroundStation3)
	(supports instrument7 image0)
	(supports instrument7 image2)
	(calibration_target instrument7 GroundStation1)
	(supports instrument8 infrared4)
	(supports instrument8 image0)
	(calibration_target instrument8 GroundStation2)
	(supports instrument9 infrared1)
	(supports instrument9 infrared4)
	(supports instrument9 image2)
	(calibration_target instrument9 GroundStation2)
	(on_board instrument7 satellite4)
	(on_board instrument8 satellite4)
	(on_board instrument9 satellite4)
	(power_avail satellite4)
	(pointing satellite4 Planet11)
)
(:goal (and
	(pointing satellite0 Star6)
	(pointing satellite1 GroundStation1)
	(have_image Planet5 image2)
	(have_image Star6 image0)
	(have_image Phenomenon7 image2)
	(have_image Phenomenon8 image2)
	(have_image Star9 thermograph3)
	(have_image Phenomenon10 image0)
	(have_image Planet11 infrared4)
	(have_image Phenomenon12 image0)
	(have_image Phenomenon13 image0)
	(have_image Phenomenon14 image2)
	(have_image Planet15 thermograph3)
	(have_image Planet16 infrared4)
))

)
