(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	satellite1 - satellite
	instrument2 - instrument
	instrument3 - instrument
	satellite2 - satellite
	instrument4 - instrument
	satellite3 - satellite
	instrument5 - instrument
	instrument6 - instrument
	instrument7 - instrument
	satellite4 - satellite
	instrument8 - instrument
	image1 - mode
	infrared3 - mode
	spectrograph2 - mode
	image0 - mode
	thermograph4 - mode
	Star3 - direction
	Star4 - direction
	GroundStation2 - direction
	Star0 - direction
	Star1 - direction
	Planet5 - direction
	Phenomenon6 - direction
	Star7 - direction
	Phenomenon8 - direction
	Star9 - direction
	Star10 - direction
	Phenomenon11 - direction
	Star12 - direction
	Star13 - direction
	Planet14 - direction
	Planet15 - direction
	Star16 - direction
	Phenomenon17 - direction
	Planet18 - direction
	Phenomenon19 - direction
)
(:init
	(supports instrument0 image0)
	(supports instrument0 infrared3)
	(supports instrument0 image1)
	(calibration_target instrument0 Star4)
	(supports instrument1 spectrograph2)
	(supports instrument1 infrared3)
	(calibration_target instrument1 Star0)
	(on_board instrument0 satellite0)
	(on_board instrument1 satellite0)
	(power_avail satellite0)
	(pointing satellite0 Star4)
	(supports instrument2 spectrograph2)
	(supports instrument2 image0)
	(calibration_target instrument2 Star1)
	(supports instrument3 image1)
	(calibration_target instrument3 GroundStation2)
	(on_board instrument2 satellite1)
	(on_board instrument3 satellite1)
	(power_avail satellite1)
	(pointing satellite1 Star0)
	(supports instrument4 infrared3)
	(supports instrument4 spectrograph2)
	(supports instrument4 image1)
	(calibration_target instrument4 Star0)
	(on_board instrument4 satellite2)
	(power_avail satellite2)
	(pointing satellite2 Planet14)
	(supports instrument5 thermograph4)
	(supports instrument5 spectrograph2)
	(supports instrument5 infrared3)
	(calibration_target instrument5 GroundStation2)
	(supports instrument6 thermograph4)
	(calibration_target instrument6 Star1)
	(supports instrument7 thermograph4)
	(calibration_target instrument7 Star0)
	(on_board instrument5 satellite3)
	(on_board instrument6 satellite3)
	(on_board instrument7 satellite3)
	(power_avail satellite3)
	(pointing satellite3 Planet18)
	(supports instrument8 thermograph4)
	(supports instrument8 image0)
	(calibration_target instrument8 Star1)
	(on_board instrument8 satellite4)
	(power_avail satellite4)
	(pointing satellite4 Star16)
)
(:goal (and
	(pointing satellite1 Phenomenon6)
	(pointing satellite2 Phenomenon11)
	(pointing satellite4 Phenomenon8)
	(have_image Planet5 thermograph4)
	(have_image Phenomenon6 image1)
	(have_image Star7 infrared3)
	(have_image Phenomenon8 image1)
	(have_image Star9 image1)
	(have_image Star10 image0)
	(have_image Phenomenon11 infrared3)
	(have_image Star12 infrared3)
	(have_image Star13 thermograph4)
	(have_image Planet14 spectrograph2)
	(have_image Planet15 infrared3)
	(have_image Star16 thermograph4)
	(have_image Phenomenon17 image0)
	(have_image Planet18 spectrograph2)
))

)
