(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	instrument2 - instrument
	instrument3 - instrument
	instrument4 - instrument
	instrument5 - instrument
	instrument6 - instrument
	satellite1 - satellite
	instrument7 - instrument
	satellite2 - satellite
	instrument8 - instrument
	instrument9 - instrument
	instrument10 - instrument
	instrument11 - instrument
	instrument12 - instrument
	satellite3 - satellite
	instrument13 - instrument
	instrument14 - instrument
	satellite4 - satellite
	instrument15 - instrument
	instrument16 - instrument
	instrument17 - instrument
	instrument18 - instrument
	instrument19 - instrument
	instrument20 - instrument
	instrument21 - instrument
	instrument22 - instrument
	instrument23 - instrument
	image5 - mode
	infrared4 - mode
	spectrograph2 - mode
	thermograph0 - mode
	infrared8 - mode
	image9 - mode
	infrared7 - mode
	thermograph3 - mode
	spectrograph1 - mode
	image6 - mode
	Star0 - direction
	Star1 - direction
	GroundStation4 - direction
	Star3 - direction
	GroundStation2 - direction
	Planet5 - direction
	Planet6 - direction
	Planet7 - direction
	Star8 - direction
	Planet9 - direction
	Star10 - direction
	Star11 - direction
	Phenomenon12 - direction
	Star13 - direction
	Planet14 - direction
	Phenomenon15 - direction
	Phenomenon16 - direction
	Phenomenon17 - direction
	Phenomenon18 - direction
	Phenomenon19 - direction
	Star20 - direction
	Phenomenon21 - direction
	Phenomenon22 - direction
	Planet23 - direction
	Star24 - direction
)
(:init
	(supports instrument0 thermograph0)
	(supports instrument0 infrared8)
	(supports instrument0 spectrograph1)
	(calibration_target instrument0 GroundStation2)
	(supports instrument1 infrared4)
	(supports instrument1 image9)
	(calibration_target instrument1 Star3)
	(supports instrument2 image9)
	(supports instrument2 thermograph3)
	(supports instrument2 thermograph0)
	(calibration_target instrument2 Star1)
	(supports instrument3 image9)
	(supports instrument3 thermograph3)
	(supports instrument3 spectrograph2)
	(calibration_target instrument3 Star3)
	(supports instrument4 spectrograph1)
	(supports instrument4 infrared7)
	(supports instrument4 thermograph0)
	(calibration_target instrument4 Star3)
	(supports instrument5 image5)
	(supports instrument5 spectrograph2)
	(supports instrument5 infrared8)
	(calibration_target instrument5 GroundStation2)
	(supports instrument6 infrared4)
	(supports instrument6 image9)
	(supports instrument6 infrared8)
	(calibration_target instrument6 Star3)
	(on_board instrument0 satellite0)
	(on_board instrument1 satellite0)
	(on_board instrument2 satellite0)
	(on_board instrument3 satellite0)
	(on_board instrument4 satellite0)
	(on_board instrument5 satellite0)
	(on_board instrument6 satellite0)
	(power_avail satellite0)
	(pointing satellite0 Star20)
	(supports instrument7 thermograph0)
	(calibration_target instrument7 Star0)
	(on_board instrument7 satellite1)
	(power_avail satellite1)
	(pointing satellite1 Star0)
	(supports instrument8 spectrograph2)
	(supports instrument8 thermograph3)
	(supports instrument8 image5)
	(calibration_target instrument8 Star0)
	(supports instrument9 thermograph0)
	(supports instrument9 infrared4)
	(calibration_target instrument9 Star1)
	(supports instrument10 thermograph0)
	(supports instrument10 infrared8)
	(calibration_target instrument10 Star3)
	(supports instrument11 infrared4)
	(supports instrument11 spectrograph2)
	(calibration_target instrument11 GroundStation2)
	(supports instrument12 spectrograph2)
	(calibration_target instrument12 Star3)
	(on_board instrument8 satellite2)
	(on_board instrument9 satellite2)
	(on_board instrument10 satellite2)
	(on_board instrument11 satellite2)
	(on_board instrument12 satellite2)
	(power_avail satellite2)
	(pointing satellite2 Phenomenon17)
	(supports instrument13 image5)
	(supports instrument13 infrared4)
	(calibration_target instrument13 GroundStation2)
	(supports instrument14 image6)
	(supports instrument14 infrared7)
	(supports instrument14 thermograph3)
	(calibration_target instrument14 Star1)
	(on_board instrument13 satellite3)
	(on_board instrument14 satellite3)
	(power_avail satellite3)
	(pointing satellite3 GroundStation2)
	(supports instrument15 thermograph0)
	(supports instrument15 image5)
	(calibration_target instrument15 Star0)
	(supports instrument16 thermograph3)
	(supports instrument16 infrared8)
	(calibration_target instrument16 Star1)
	(supports instrument17 image6)
	(supports instrument17 image9)
	(supports instrument17 image5)
	(calibration_target instrument17 GroundStation4)
	(supports instrument18 infrared7)
	(supports instrument18 spectrograph1)
	(supports instrument18 infrared4)
	(calibration_target instrument18 Star3)
	(supports instrument19 image6)
	(supports instrument19 infrared7)
	(calibration_target instrument19 Star1)
	(supports instrument20 thermograph0)
	(supports instrument20 spectrograph2)
	(supports instrument20 infrared8)
	(calibration_target instrument20 GroundStation4)
	(supports instrument21 infrared8)
	(supports instrument21 image9)
	(calibration_target instrument21 Star3)
	(supports instrument22 thermograph3)
	(supports instrument22 infrared7)
	(supports instrument22 image9)
	(calibration_target instrument22 GroundStation2)
	(supports instrument23 image6)
	(supports instrument23 spectrograph1)
	(supports instrument23 thermograph3)
	(calibration_target instrument23 GroundStation2)
	(on_board instrument15 satellite4)
	(on_board instrument16 satellite4)
	(on_board instrument17 satellite4)
	(on_board instrument18 satellite4)
	(on_board instrument19 satellite4)
	(on_board instrument20 satellite4)
	(on_board instrument21 satellite4)
	(on_board instrument22 satellite4)
	(on_board instrument23 satellite4)
	(power_avail satellite4)
	(pointing satellite4 Planet9)
)
(:goal (and
	(pointing satellite3 Planet9)
	(have_image Planet5 infrared7)
	(have_image Planet7 thermograph3)
	(have_image Planet7 thermograph0)
	(have_image Star8 image5)
	(have_image Star8 infrared4)
	(have_image Star8 thermograph0)
	(have_image Planet9 image6)
	(have_image Planet9 spectrograph2)
	(have_image Star10 infrared8)
	(have_image Star10 thermograph0)
	(have_image Star10 infrared7)
	(have_image Star11 image9)
	(have_image Star11 spectrograph1)
	(have_image Phenomenon12 spectrograph2)
	(have_image Phenomenon12 infrared7)
	(have_image Phenomenon12 image9)
	(have_image Star13 spectrograph1)
	(have_image Star13 infrared8)
	(have_image Star13 image9)
	(have_image Planet14 image9)
	(have_image Phenomenon15 infrared7)
	(have_image Phenomenon16 infrared7)
	(have_image Phenomenon16 thermograph3)
	(have_image Phenomenon16 image6)
	(have_image Phenomenon17 spectrograph1)
	(have_image Phenomenon17 infrared4)
	(have_image Phenomenon18 thermograph3)
	(have_image Phenomenon18 infrared8)
	(have_image Phenomenon19 image5)
	(have_image Phenomenon19 spectrograph1)
	(have_image Phenomenon21 image5)
	(have_image Phenomenon21 spectrograph2)
	(have_image Phenomenon22 thermograph0)
	(have_image Planet23 thermograph3)
	(have_image Planet23 spectrograph1)
	(have_image Planet23 image9)
	(have_image Star24 image9)
	(have_image Star24 thermograph3)
))

)
