(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	instrument2 - instrument
	satellite1 - satellite
	instrument3 - instrument
	satellite2 - satellite
	instrument4 - instrument
	instrument5 - instrument
	instrument6 - instrument
	instrument7 - instrument
	instrument8 - instrument
	instrument9 - instrument
	satellite3 - satellite
	instrument10 - instrument
	instrument11 - instrument
	satellite4 - satellite
	instrument12 - instrument
	instrument13 - instrument
	instrument14 - instrument
	infrared1 - mode
	thermograph0 - mode
	spectrograph6 - mode
	infrared8 - mode
	thermograph3 - mode
	thermograph5 - mode
	infrared2 - mode
	infrared4 - mode
	spectrograph9 - mode
	thermograph7 - mode
	Star3 - direction
	GroundStation0 - direction
	Star2 - direction
	GroundStation4 - direction
	Star1 - direction
	Phenomenon5 - direction
	Planet6 - direction
	Star7 - direction
	Star8 - direction
	Star9 - direction
	Planet10 - direction
	Phenomenon11 - direction
	Phenomenon12 - direction
	Star13 - direction
	Phenomenon14 - direction
	Phenomenon15 - direction
	Star16 - direction
	Star17 - direction
	Star18 - direction
	Star19 - direction
	Phenomenon20 - direction
	Phenomenon21 - direction
	Phenomenon22 - direction
	Star23 - direction
	Planet24 - direction
)
(:init
	(supports instrument0 infrared1)
	(supports instrument0 infrared2)
	(calibration_target instrument0 GroundStation4)
	(supports instrument1 infrared1)
	(calibration_target instrument1 Star2)
	(supports instrument2 infrared4)
	(supports instrument2 spectrograph9)
	(calibration_target instrument2 GroundStation0)
	(on_board instrument0 satellite0)
	(on_board instrument1 satellite0)
	(on_board instrument2 satellite0)
	(power_avail satellite0)
	(pointing satellite0 GroundStation0)
	(supports instrument3 infrared8)
	(supports instrument3 spectrograph6)
	(calibration_target instrument3 Star2)
	(on_board instrument3 satellite1)
	(power_avail satellite1)
	(pointing satellite1 GroundStation0)
	(supports instrument4 thermograph0)
	(supports instrument4 spectrograph9)
	(supports instrument4 thermograph5)
	(calibration_target instrument4 Star1)
	(supports instrument5 spectrograph6)
	(supports instrument5 thermograph5)
	(calibration_target instrument5 Star2)
	(supports instrument6 infrared8)
	(calibration_target instrument6 GroundStation0)
	(supports instrument7 thermograph3)
	(supports instrument7 infrared8)
	(supports instrument7 thermograph7)
	(calibration_target instrument7 Star2)
	(supports instrument8 thermograph3)
	(calibration_target instrument8 GroundStation0)
	(supports instrument9 thermograph5)
	(calibration_target instrument9 Star2)
	(on_board instrument4 satellite2)
	(on_board instrument5 satellite2)
	(on_board instrument6 satellite2)
	(on_board instrument7 satellite2)
	(on_board instrument8 satellite2)
	(on_board instrument9 satellite2)
	(power_avail satellite2)
	(pointing satellite2 Planet10)
	(supports instrument10 infrared2)
	(calibration_target instrument10 GroundStation0)
	(supports instrument11 spectrograph9)
	(supports instrument11 infrared4)
	(calibration_target instrument11 GroundStation4)
	(on_board instrument10 satellite3)
	(on_board instrument11 satellite3)
	(power_avail satellite3)
	(pointing satellite3 Phenomenon21)
	(supports instrument12 thermograph7)
	(calibration_target instrument12 Star2)
	(supports instrument13 spectrograph9)
	(supports instrument13 infrared4)
	(calibration_target instrument13 GroundStation4)
	(supports instrument14 thermograph7)
	(calibration_target instrument14 Star1)
	(on_board instrument12 satellite4)
	(on_board instrument13 satellite4)
	(on_board instrument14 satellite4)
	(power_avail satellite4)
	(pointing satellite4 Star23)
)
(:goal (and
	(pointing satellite0 Phenomenon15)
	(have_image Phenomenon5 infrared1)
	(have_image Phenomenon5 thermograph7)
	(have_image Planet6 thermograph5)
	(have_image Star7 thermograph0)
	(have_image Star7 spectrograph6)
	(have_image Star7 infrared1)
	(have_image Star8 thermograph5)
	(have_image Star8 infrared2)
	(have_image Star8 infrared8)
	(have_image Star9 thermograph0)
	(have_image Star9 infrared8)
	(have_image Planet10 spectrograph9)
	(have_image Phenomenon11 infrared1)
	(have_image Phenomenon11 infrared4)
	(have_image Phenomenon11 spectrograph9)
	(have_image Phenomenon12 infrared2)
	(have_image Phenomenon12 thermograph7)
	(have_image Phenomenon12 infrared8)
	(have_image Star13 infrared4)
	(have_image Phenomenon14 thermograph3)
	(have_image Phenomenon14 thermograph7)
	(have_image Phenomenon15 infrared4)
	(have_image Phenomenon15 spectrograph9)
	(have_image Star16 infrared2)
	(have_image Star16 infrared1)
	(have_image Star17 infrared8)
	(have_image Star18 spectrograph6)
	(have_image Star18 thermograph0)
	(have_image Star19 infrared4)
	(have_image Phenomenon20 spectrograph9)
	(have_image Phenomenon20 spectrograph6)
	(have_image Phenomenon20 thermograph5)
	(have_image Phenomenon21 infrared1)
	(have_image Phenomenon21 thermograph7)
	(have_image Phenomenon21 infrared2)
	(have_image Phenomenon22 infrared4)
	(have_image Phenomenon22 infrared8)
	(have_image Star23 infrared8)
	(have_image Star23 spectrograph9)
	(have_image Planet24 infrared8)
))

)
