(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	satellite0 - satellite
	instrument0 - instrument
	satellite1 - satellite
	instrument1 - instrument
	instrument2 - instrument
	instrument3 - instrument
	satellite2 - satellite
	instrument4 - instrument
	instrument5 - instrument
	instrument6 - instrument
	satellite3 - satellite
	instrument7 - instrument
	instrument8 - instrument
	spectrograph2 - mode
	image3 - mode
	image0 - mode
	thermograph1 - mode
	Star2 - direction
	Star0 - direction
	Star4 - direction
	GroundStation1 - direction
	GroundStation3 - direction
	Planet5 - direction
	Planet6 - direction
	Phenomenon7 - direction
	Planet8 - direction
	Star9 - direction
	Phenomenon10 - direction
	Planet11 - direction
	Star12 - direction
	Phenomenon13 - direction
	Planet14 - direction
)
(:init
	(supports instrument0 image3)
	(calibration_target instrument0 Star2)
	(on_board instrument0 satellite0)
	(power_avail satellite0)
	(pointing satellite0 Planet11)
	(supports instrument1 spectrograph2)
	(supports instrument1 image3)
	(supports instrument1 image0)
	(calibration_target instrument1 Star4)
	(supports instrument2 spectrograph2)
	(supports instrument2 image0)
	(supports instrument2 image3)
	(calibration_target instrument2 Star0)
	(supports instrument3 thermograph1)
	(supports instrument3 image3)
	(calibration_target instrument3 GroundStation3)
	(on_board instrument1 satellite1)
	(on_board instrument2 satellite1)
	(on_board instrument3 satellite1)
	(power_avail satellite1)
	(pointing satellite1 Star9)
	(supports instrument4 image0)
	(supports instrument4 thermograph1)
	(supports instrument4 image3)
	(calibration_target instrument4 Star4)
	(supports instrument5 thermograph1)
	(supports instrument5 spectrograph2)
	(supports instrument5 image0)
	(calibration_target instrument5 Star4)
	(supports instrument6 spectrograph2)
	(supports instrument6 thermograph1)
	(calibration_target instrument6 GroundStation1)
	(on_board instrument4 satellite2)
	(on_board instrument5 satellite2)
	(on_board instrument6 satellite2)
	(power_avail satellite2)
	(pointing satellite2 Planet8)
	(supports instrument7 image0)
	(supports instrument7 spectrograph2)
	(supports instrument7 image3)
	(calibration_target instrument7 GroundStation1)
	(supports instrument8 thermograph1)
	(supports instrument8 image0)
	(supports instrument8 image3)
	(calibration_target instrument8 GroundStation3)
	(on_board instrument7 satellite3)
	(on_board instrument8 satellite3)
	(power_avail satellite3)
	(pointing satellite3 GroundStation3)
)
(:goal (and
	(pointing satellite3 GroundStation3)
	(have_image Planet5 thermograph1)
	(have_image Planet6 thermograph1)
	(have_image Phenomenon7 spectrograph2)
	(have_image Star9 spectrograph2)
	(have_image Phenomenon10 spectrograph2)
	(have_image Planet11 image0)
	(have_image Star12 spectrograph2)
	(have_image Phenomenon13 image3)
))

)
