(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	satellite0 - satellite
	instrument0 - instrument
	instrument1 - instrument
	satellite1 - satellite
	instrument2 - instrument
	instrument3 - instrument
	satellite2 - satellite
	instrument4 - instrument
	satellite3 - satellite
	instrument5 - instrument
	instrument6 - instrument
	instrument7 - instrument
	satellite4 - satellite
	instrument8 - instrument
	thermograph3 - mode
	infrared2 - mode
	infrared0 - mode
	infrared4 - mode
	image1 - mode
	Star3 - direction
	Star4 - direction
	Star1 - direction
	GroundStation0 - direction
	GroundStation2 - direction
	Planet5 - direction
	Planet6 - direction
	Phenomenon7 - direction
	Phenomenon8 - direction
	Planet9 - direction
	Planet10 - direction
	Planet11 - direction
	Planet12 - direction
	Planet13 - direction
	Phenomenon14 - direction
)
(:init
	(supports instrument0 thermograph3)
	(calibration_target instrument0 Star3)
	(supports instrument1 infrared0)
	(calibration_target instrument1 Star4)
	(on_board instrument0 satellite0)
	(on_board instrument1 satellite0)
	(power_avail satellite0)
	(pointing satellite0 Planet6)
	(supports instrument2 infrared0)
	(supports instrument2 infrared4)
	(calibration_target instrument2 GroundStation0)
	(supports instrument3 thermograph3)
	(supports instrument3 infrared4)
	(calibration_target instrument3 Star1)
	(on_board instrument2 satellite1)
	(on_board instrument3 satellite1)
	(power_avail satellite1)
	(pointing satellite1 Planet10)
	(supports instrument4 infrared4)
	(supports instrument4 infrared0)
	(supports instrument4 infrared2)
	(calibration_target instrument4 GroundStation2)
	(on_board instrument4 satellite2)
	(power_avail satellite2)
	(pointing satellite2 Planet9)
	(supports instrument5 image1)
	(supports instrument5 infrared4)
	(calibration_target instrument5 Star1)
	(supports instrument6 infrared0)
	(supports instrument6 infrared2)
	(supports instrument6 infrared4)
	(calibration_target instrument6 Star1)
	(supports instrument7 infrared4)
	(calibration_target instrument7 GroundStation0)
	(on_board instrument5 satellite3)
	(on_board instrument6 satellite3)
	(on_board instrument7 satellite3)
	(power_avail satellite3)
	(pointing satellite3 Phenomenon14)
	(supports instrument8 image1)
	(calibration_target instrument8 GroundStation2)
	(on_board instrument8 satellite4)
	(power_avail satellite4)
	(pointing satellite4 Planet5)
)
(:goal (and
	(pointing satellite1 Phenomenon14)
	(pointing satellite3 GroundStation2)
	(pointing satellite4 GroundStation2)
	(have_image Planet5 infrared2)
	(have_image Planet6 thermograph3)
	(have_image Phenomenon7 infrared4)
	(have_image Phenomenon8 infrared4)
	(have_image Planet9 image1)
	(have_image Planet10 thermograph3)
	(have_image Planet11 infrared2)
	(have_image Planet12 infrared2)
	(have_image Planet13 infrared4)
	(have_image Phenomenon14 infrared2)
))

)
