(define (problem strips-sat-x-1)
(:domain satellite)
(:objects
	satellite0 - satellite
	instrument0 - instrument
	satellite1 - satellite
	instrument1 - instrument
	instrument2 - instrument
	instrument3 - instrument
	satellite2 - satellite
	instrument4 - instrument
	satellite3 - satellite
	instrument5 - instrument
	instrument6 - instrument
	satellite4 - satellite
	instrument7 - instrument
	instrument8 - instrument
	thermograph1 - mode
	image3 - mode
	infrared2 - mode
	thermograph0 - mode
	spectrograph4 - mode
	Star1 - direction
	GroundStation2 - direction
	GroundStation0 - direction
	Star4 - direction
	Star3 - direction
	Star5 - direction
	Star6 - direction
	Planet7 - direction
	Star8 - direction
	Phenomenon9 - direction
	Star10 - direction
	Planet11 - direction
	Planet12 - direction
	Star13 - direction
	Star14 - direction
	Planet15 - direction
	Star16 - direction
)
(:init
	(supports instrument0 thermograph0)
	(supports instrument0 spectrograph4)
	(calibration_target instrument0 GroundStation0)
	(on_board instrument0 satellite0)
	(power_avail satellite0)
	(pointing satellite0 Planet7)
	(supports instrument1 thermograph1)
	(calibration_target instrument1 GroundStation2)
	(supports instrument2 infrared2)
	(supports instrument2 image3)
	(supports instrument2 thermograph1)
	(calibration_target instrument2 Star3)
	(supports instrument3 infrared2)
	(supports instrument3 thermograph1)
	(supports instrument3 spectrograph4)
	(calibration_target instrument3 GroundStation2)
	(on_board instrument1 satellite1)
	(on_board instrument2 satellite1)
	(on_board instrument3 satellite1)
	(power_avail satellite1)
	(pointing satellite1 Star16)
	(supports instrument4 thermograph0)
	(supports instrument4 image3)
	(supports instrument4 thermograph1)
	(calibration_target instrument4 GroundStation0)
	(on_board instrument4 satellite2)
	(power_avail satellite2)
	(pointing satellite2 Planet12)
	(supports instrument5 thermograph1)
	(supports instrument5 image3)
	(calibration_target instrument5 Star4)
	(supports instrument6 image3)
	(supports instrument6 spectrograph4)
	(calibration_target instrument6 GroundStation0)
	(on_board instrument5 satellite3)
	(on_board instrument6 satellite3)
	(power_avail satellite3)
	(pointing satellite3 Star13)
	(supports instrument7 infrared2)
	(calibration_target instrument7 Star4)
	(supports instrument8 spectrograph4)
	(supports instrument8 thermograph0)
	(calibration_target instrument8 Star3)
	(on_board instrument7 satellite4)
	(on_board instrument8 satellite4)
	(power_avail satellite4)
	(pointing satellite4 Planet15)
)
(:goal (and
	(pointing satellite1 Star8)
	(pointing satellite2 Planet7)
	(pointing satellite4 Planet7)
	(have_image Star5 image3)
	(have_image Star6 image3)
	(have_image Planet7 thermograph0)
	(have_image Star8 thermograph0)
	(have_image Phenomenon9 thermograph0)
	(have_image Star10 thermograph0)
	(have_image Planet11 image3)
	(have_image Planet12 thermograph0)
	(have_image Star13 thermograph1)
	(have_image Star14 spectrograph4)
	(have_image Planet15 thermograph0)
	(have_image Star16 spectrograph4)
))

)
