;; Just for controlling error messages in develop or users times
;; Td. 04.12.2005

(defvar *error-info* t)

(defun msg-error (type-error function)
  (let ((msg
	 (case type-error 
	       (not_pddl_problem "This file is not a PDDL problem")
	       (no_domain_dir "Need to load first a domain file")
	       (no-loaded-domain "There is no loaded domain!")
	       (t "Generic SAYPHI error"))))
    (format t "~%~a" msg)
    (when *error-info*
      (format t "~%Function: ~a" function))))