(defvar *examples* nil)
(defvar *generate-learning-examples-p* t)

;; (load "(/home/dborrajo/planning/ipss/hamlet")

(defun save-examples (node child format)
  (if child
      (let ((goals (mapcar #'(lambda (literal)
			       (list 'current-goal literal))
			   (pp-state (problem-goals *current-problem*) 'list)))
	    (state (mapcar #'(lambda (literal)
			       (list 'true-in-state literal))
			   (pp-state (snode-state node) 'list)))
	    (effects `(select operator ,(snode-plan-action child))))
	(when (eq format 'prodigy)
	    (setf *substitution* nil)
	  (find-substitution state)
	  (find-substitution goals)
	  (setq goals (parametrize goals))
	  (setq state (parametrize state))
	  (setq effects (parametrize effects)))
	(push `(control-rule ,(string-trim "#:G"  (gensym))
			     (if (and ,@goals
				      ,@state))
			     ,effects)
	      *examples*))))

